2009-06-29  Sergey Udaltsov <svu@gnome.org>

	* configure.in: Dependency on libxklavier 4.0

2009-05-28  Jens Granseuer  <jensgr@gmx.net>

	* font-viewer/font-thumbnailer.c (main): Timeout value was supposed
	to be 30 seconds; 30 milliseconds is a bit too short to get any
	amount of thumbnailing done (bug #584107)

2009-05-07  Christian Persch  <chpe@gnome.org>

	* font-viewer/ftstream-vfs.c: (vfs_stream_open): Safely printf
	strings. Bug #581731.

2009-03-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: release 2.26.0

2009-03-03  Thomas H.P. Andersen  <phomes@gmail.com>

	* typing-break/drwright.c: Revert change to GtkUIManager. It broke
	string freeze. Bug #572325

2009-03-02  Bastien Nocera  <hadess@hadess.net>

	* font-viewer/Makefile.am:
	* font-viewer/font-thumbnailer.c (main):
	* font-viewer/totem-resources.c (set_resource_limits),
	(time_monitor), (totem_resources_monitor_start),
	(totem_resources_monitor_stop):
	* font-viewer/totem-resources.h: Stop the font thumbnailer
	eating all the CPU, and limit the resources to 30 seconds
	and 256MB of RAM, which should be plenty (Closes: #573795)

==================== 2.25.92 ====================

2009-03-02  Jens Granseuer  <jensgr@gmx.net>

	* NEWS:
	* configure.in: release 2.25.92

2009-02-26  Thomas H.P. Andersen  <phomes@gmail.com>

	* typing-break/drwright.c: Use GtkUIManager instead of deprecated 
	GtkItemFactory. Bug #572325

2009-02-23  Thomas H.P. Andersen  <phomes@gmail.com>

	* capplets/keyboard/gnome-keyboard-properties-xkbot.c:
	* capplets/keybindings/gnome-keybinding-properties.c:
	* capplets/keybindings/eggcellrendererkeys.h: Replaces deprecated: 
	gtk_box_pack_start_defaults, gtk_widget_set_usize, and GTK_CHECK_*. 
	Bug #572325

2009-02-22  Thomas H.P. Andersen  <phomes@gmail.com>

	* capplets/appearance/appearance-font.c:
	* capplets/mouse/gnome-mouse-properties.c:
	* typing-break/drw-utils.c: Replace deprecated GTK sybmols. Bug #572325

2009-02-18  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Jonas Bonn

	* font-viewer/font-thumbnailer.c: (main): initialize the type system.
	Fixes hangs when thumbnailing (bug #572189)

2009-02-09  Thomas H.P. Andersen  <phomes@gmail.com>

	* font-viewer/font-thumbnailer.c:
	* capplets/common/gconf-property-editor.c: Don't use deprecated 
	gdk_pixbuf_unref. Bug #570945

2009-02-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.25.91

==================== 2.25.90 ====================

2009-02-04  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: version 2.25.90

2009-01-31  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: really make libcanberra-gtk optional

2009-01-31  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: modify test statement for better portability

2009-01-31  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Maxim Ermilov <zaspire@rambler.ru>

	* configure.in: add optional dependency on libcanberra-gtk for bug
	#169473

2009-01-25  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: don't define GNOME_DESKTOP_USE_UNSTABLE_API globally

2009-01-13  Luca Ferretti  <elle.uca@libero.it>

	* configure.in: 
	* capplets/network/*:
	Renamed from gnome-network-preferences to gnome-network-properties.
	Closes bug #554342

==================== 2.25.3 ====================

2008-12-18  Bastien Nocera  <hadess@hadess.net>

	* NEWS: upd
	* configure.in: 2.25.3

2008-12-18  Bastien Nocera  <hadess@hadess.net>

	* capplets/Makefile.am:
	* capplets/sound/Makefile.am:
	* capplets/sound/gnome-settings-sound.desktop.in.in:
	* capplets/sound/icons/16x16/gnome-sound-properties.svg:
	* capplets/sound/icons/22x22/gnome-sound-properties.svg:
	* capplets/sound/icons/32x32/gnome-sound-properties.svg:
	* capplets/sound/icons/scalable/gnome-sound-properties.svg:
	* capplets/sound/mixer-support.c:
	* capplets/sound/mixer-support.h:
	* capplets/sound/pipeline-tests.c:
	* capplets/sound/pipeline-tests.h:
	* capplets/sound/sound-properties-capplet.c:
	* capplets/sound/sound-properties.glade:
	* capplets/sound/sound-theme-definition.h:
	* capplets/sound/sound-theme-file-utils.c:
	* capplets/sound/sound-theme-file-utils.h:
	* capplets/sound/sound-theme.c:
	* capplets/sound/sound-theme.h:
	* configure.in: Remove the sound capplet, it's now in gnome-media
	itself, removes libcanberra-gtk and GStreamer dependencies
	(Closes: #564871)

==================== 2.25.2 ====================

2008-12-02  Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Fix libslab dependencies so it builds.

2008-12-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* *ChangeLog: prepare for 2.25.2 release.

2008-11-27  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Optionally check for PolicyKit

2008-11-23  Jens Granseuer  <jensgr@gmx.net>

	Patch by: <dmacks@netspace.org>

	* configure.in: remove eel dependency from libslab (bug #561944)

2008-11-20  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Maxim Ermilov <zaspire@rambler.ru>

	capplets/sound/mixer-support.[ch]:
	capplets/appearance/*.[ch]:
	capplets/common/*.[ch]:
	capplets/keybindings/egg*.[ch]:
	capplets/keyboard/gnome-keyboard-properties-a11y.h:
	shell/control-center.c:
	typing-break/*.[ch]:
	only include top-level headers for glib and GTK+ (bug #561562)

2008-11-18  Jens Granseuer  <jensgr@gmx.net>

	* font-viewer/font-view.c: (add_face_info), (set_icon):
	* font-viewer/ftstream-vfs.c: (vfs_stream_open): fix another
	leak, an invalid free, and a simplify error handling

2008-11-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* font-viewer/font-view.c (set_icon): don't leak icon_name.

	* font-viewer/ftstream-vfs.c (vfs_stream_open): don't leak
	GFile pointer.

2008-11-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* font-viewer/font-view.c (set_icon): added missing
	GFileInfo declaration.

2008-11-18  Rodrigo Moya <rodrigo@gnome-db.org>

	Bug 561319 – Remove gnome-vfs dependency from font-viewer

	Patch from Saleem Abdulrasool <compnerd@compnerd.org>

	* font-viewer/*:
	* configure.in: Remove gnome-vfs dependency for font-viewer.

2008-11-09  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add libgnomeui back to LIBSLAB FLAGS.

2008-11-05  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.25.2.

==================== 2.25.1 ====================

2008-11-05  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: version 2.25.1

Sun Oct 26 19:15:22 2008  Søren Sandmann  <sandmann@redhat.com>

	* configure.in: Stop linking to the gnome libraries, except in the
	shell and in the font viewer.

2008-10-26  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: bump gnome-desktop requirement to 2.25.1

2008-10-25  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: bump required GTK+ version to 2.13.1

Fri Oct 24 17:17:47 2008  Søren Sandmann  <sandmann@redhat.com>

	* Get rid of a number of unnecessary gnome.h includes

	* capplets/keybindings/gnome-keybinding-properties.c: Use
	gtk_init() instead of gnome_program_init().

	* A couple of formatting fixes

Fri Oct 24 15:42:11 2008  Søren Sandmann  <sandmann@redhat.com>

	* Use gtk_show_uri() instead of gnome_help_display_desktop()

Fri Oct 24 14:44:16 2008  Søren Sandmann  <sandmann@redhat.com>

	* Use GnomeDesktopThumbnailFactory instead of
	GnomeThumbnailFactory

2008-10-19  Matthias Clasen  <mclasen@redhat.com>

	Bug 556977 – avoid duplicate custom keybindings

	* capplets/keybindings/gnome-keybinding-properties.c: Filter
	out custom keybindings that are also listed in xml files.

2008-10-19  Matthias Clasen  <mclasen@redhat.com>

	Bug 556967 – fix editability of group headings

	* capplets/keybindings/gnome-keybinding-properties.c
	(description_set_func): Don't let section headings be editable.

2008-10-16  Davyd Madeley  <davyd@madeley.id.au>

	* po/POTFILES.in: readd to POTFILES.in

2008-10-16  Davyd Madeley  <davyd@madeley.id.au>

	* configure.in:
	* font-viewer/Makefile.am:
	* Makefile.am:
	- hook gnome-font-viewer and gnome-thumbnail font back into the build
	- need to check to see if the strings were lost from the translations

2008-10-15  Davyd Madeley  <davyd@madeley.id.au>

	* vfs-methods/: remove properly
	* font-viewer/: resurrect gnome-font-viewer and gnome-thumbnail-font
	  from revision 8786 (not yet added to toplevel Makefile)

2008-09-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.24.1.

==================== 2.24.0.1 ====================

2008-09-24  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in: version 2.24.0.1

2008-09-22  Sebastien Bacher  <seb128@ubuntu.com>

	* configure.in, NEWS: 2.24.0 update

2008-09-15  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Nirbheek Chauhan <nirbheek.chauhan@gmail.com>

	* configure.in: add --without-libcanberra to skip building the sound
	capplet (bug #551765)

2008-09-05  Rodrigo Moya <rodrigo@gnome-db.org>

	Patch by Nirbheek Chauhan

	* configure.in:
	* capplets/appearance/appearance-themes.c:
	* capplets/appearance/appearance.h: removed last gnome-vfs leftovers.

2008-08-28  Claude Paroz  <claude@2xlibre.net>

	* configure.in: require glib 2.17.4 for using the NC_ macro in sound
	capplet.

2008-08-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.23.90.

2008-08-11  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: require gnome-desktop 2.23.90

2008-08-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.23.6.

2008-07-30  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: remove libsounds from SUBDIRS, too

2008-07-29  Jens Granseuer  <jensgr@gmx.net>

	* capplets/Makefile.am:
	* configure.in: fix build without libcanberra

2008-07-29  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Make sure we require libcanberra 0.4
	to get the .disabled support

2008-07-28  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am:
	* configure.in: Remove libsounds and esound usage, check for
	libcanberra instead (Closes: #542979)

Thu Jul 24 15:34:50 2008  Søren Sandmann  <sandmann@redhat.com>

	* configure.in
	* NEWS
	Updated for 2.23.5

	* configure.in, Makefile.am
	Make typing-break a conditional to make it distcheck
	
2008-07-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* Makefile.am:
	* vfs-methods/*: removed VFS methods code.

2008-07-15  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: add
	capplets/default-applications/gnome-default-applications.pc to
	generated files

2008-06-18  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: bump gnome-desktop requirement to 2.23.5

2008-06-18  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am:
	* configure.in: require intltool >= 0.40

2008-06-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: update for 2.23.4
	Increased gnome-desktop version requirement

==================== 2.23.3 ====================

2008-06-04  Jens Granseuer  <jensgr@gmx.net>

	* NEWS: updated for 2.23.3

2008-06-01  Thomas Wood  <thos@gnome.org>

	* configure.in:
	* vfs-methods/Makefile.am:
	Remove themus from build.

2008-05-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.3

==================== 2.23.2 ====================

2008-05-17  Sebastien Bacher  <seb128@ubuntu.com>

	* configure.in: don't require libbackground to build

2008-05-17  Jens Granseuer  <jensgr@gmx.net>

	* NEWS:
	* configure.in: updated for 2.23.2

Fri May 16 21:55:52 2008  Søren Sandmann  <sandmann@redhat.com>

	* libbackground: Delete this directory since it's not used any
	more

2008-04-28  Sergey Udaltsov <svu@gnome.org>

	* configure.in: Dependency on iso-codes moved to libxklavier

2008-04-27  Sergey Udaltsov <svu@gnome.org>

	* configure.in: Introduced dependency on libxklavier 3.6

2008-04-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.23.1.

2008-04-19  Sergey Udaltsov <svu@gnome.org>

	* configure.in: Introduced dependency on iso-codes

2008-04-19  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: figure out where GTK+ expects its theme engines and
	make that info available to interested capplets

2008-03-31  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Up the version to 2.23.0 to avoid confusion

2008-03-27  Cosimo Cecchi  <cosimoc@gnome.org>

	* configure.in: Bump required metacity version to 2.23.1

2008-03-10  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.22.0

2008-02-26  Thomas Wood  <thos@gnome.org>

	* NEWS: Fix translator name

2008-02-26  Thomas Wood  <thos@gnome.org>

	* NEWS:
	* configure.in:

	Updated for 2.21.92

2008-02-26  Thomas Wood  <thos@gnome.org>

	* configure.in: Increase required metacity version to 2.21.21

2008-02-25  Thomas Wood  <thos@gnome.org>

	* configure.in: Revert removal of FONTILUS and THEMUS substitution that
	occurred in r8452. Fixes distcheck.

2008-02-16  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: remove obsolete checks

2008-02-12  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: add gio-2.0 to general capplet flags for now; this
	part needs cleaning up in the next cycle

2008-02-12  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add check for LIBSOUNDS. From bug #515956.

2008-02-11  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.21.91.

2008-02-06  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: readd the g-s-d check and remove some more cruft

2008-02-06  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: remove some cruft from the configure script, and give
	libbackground its own settings so we can use it from
	gnome-settings-daemon, too

2008-01-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.21.90.

2008-01-25  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Damien Carberry <damien.carberry@sun.com>

	* configure.in: determine correct nautilus extension dir via
	pkgconfig (#505364)

2008-01-16  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am:
	* configure.in: disabled schemas directory from the build, those
	files are now part of gnome-settings-daemon.

2008-01-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.21.5.

	* capplets/common/Makefile.am: fixed CFLAGS and LIBS.

	* capplets/common/activate-settings-daemon.c: include new built
	header file for DBus interface.

	* configure.in: check gnome-settings-daemon.

2008-01-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: disable gnome-settings-daemon build here also.

	* capplets/appearance/Makefile.am:
	* gnome-settings-daemon/Makefile.am:
	* libwindow-settings/Makefile.am:
	* vfs-methods/fontilus/Makefile.am:
	* vfs-methods/themus/Makefile.am: fixes for Cygwin building (#317046)

2008-01-14  Rodrigo Moya <rodrigo@gnome-db.org>

	* capplets/Makefile.am: disabled non-functional l10n capplet.

2008-01-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* Makefile.am: disabled settings daemon build so that the separate
	module gets more testing.

2007-12-22  Luca Ferretti  <elle.uca@libero.it>

	* configure.in: check for eel-2.0, needed by latest libslab.
	See bug #504968.

2007-12-20  Sergey Udaltsov <svu@gnome.org>

	* configure.in:
	* NEWS: prepare for 2.21.4.

2007-12-17  Sergey Udaltsov <svu@gnome.org>

	* configure.in: the changes require new API, so bump the
	libgnomekbd requirement to 2.21.4.1

2007-12-12  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: the changes in r8327 require new API, so bump the
	libgnomekbd requirement to 2.21.4

2007-11-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.21.2.

2007-11-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* capplets/Makefile.am: added new localization capplet to the build.

2007-10-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.21.1.

2007-10-22  Jens Granseuer  <jensgr@gmx.net>

	Based on a patch by: Sebastian Bacher <seb128@debian.org>

	* capplets/keybindings/00-multimedia-key.xml.in:
	* gnome-settings-daemon/action/acme.h:
	* gnome-settings-daemon/gnome-settings-multimedia-keys.c (do_action):
	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in:
	add support for calculator key

2007-10-21  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: fix bugzilla component

2007-10-21  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: bump libxklavier requirement to 3.3
	* capplets/keyboard/gnome-keyboard-properties-xkbmc.c: remove
	compatibility hack for libxklavier <= 3.2

2007-10-18  Bastien Nocera  <hadess@hadess.net>

	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in:
	Add more default keybindings for otherwise unbound keys
	(Closes: #487935)

2007-10-14  Jens Granseuer  <jensgr@gmx.net>

	* configure.in:
	* capplets/common/gnome-theme-info.c (gnome_theme_init): query and
	monitor the xcursor icon dir for cursor themes, too (bug #469882)

2007-10-09  Bastien Nocera  <hadess@hadess.net>

	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in:
	Default to using XF86* keysyms for the audio related keybindings,
	allows those to work out-of-the-box when the right keymap is
	selected (Closes: #485076)

2007-10-08  Sergey Udaltsov <svu@gnome.org>

	* configure.in: bumping libgnomekbd requirement to 2.21.1

2007-10-02  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Stephane Loeuillet <leroutier@gmail.com>

	* capplets/about-me/gnome-about-me.desktop.in.in:
	* capplets/accessibility/at-properties/at-properties.desktop.in.in:
	* capplets/accessibility/keyboard/accessibility-keyboard.desktop.in.in:
	* capplets/appearance/data/gnome-appearance-properties.desktop.in.in:
	* capplets/appearance/data/gnome-theme-installer.desktop.in.in:
	* capplets/appearance/theme-save.c:
	* capplets/default-applications/default-applications.desktop.in.in:
	* capplets/default-applications/gnome-at-session.desktop.in.in:
	* capplets/display/display-properties.desktop.in.in:
	* capplets/keybindings/keybinding.desktop.in.in:
	* capplets/keyboard/keyboard.desktop.in.in:
	* capplets/mouse/gnome-settings-mouse.desktop.in.in:
	* capplets/network/gnome-network-preferences.desktop.in.in:
	* capplets/sound/gnome-settings-sound.desktop.in.in:
	* capplets/windows/window-properties.desktop.in.in:
	* shell/gnomecc.desktop.in.in:
	* shell/gnomecc.directory.in:
	* vfs-methods/fontilus/font-method.directory.in:
	* vfs-methods/fontilus/gnome-font-viewer.desktop.in.in:
	* vfs-methods/themus/theme-method.directory.in:
	* vfs-methods/themus/themus-theme-applier.desktop.in.in:
	desktop file fixes: don't use the deprecated Encoding tag, change
	Terminal=0 to Terminal=false, remove empty Categories= (bug #481740)

2007-09-28  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: fix typo in order to correctly substitute XCursor CFLAGS

2007-09-17  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.20.0.

2007-09-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.92.

2007-08-28  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.91.

2007-08-13  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.90.

2007-08-02  Rodrigo Moya <rodrigo@gnome-db.org>

	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in: use
	CTRL-ALT-DEL as default keybinding for 'Log out'.

2007-07-30  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.6.

2007-07-29  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: remove spurious AT desktop entries (bug #444787)

2007-07-24  Thomas Wood  <thos@gnome.org>

	* configure.in: Update for recent appearance capplet re-organisation

2007-0723   Matthias Clasen  <mclasen@redhat.com>

	* configure.in: Bump GTK+ requirement to 2.11.6

2007-07-19  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: fix last commit when building without gstreamer

2007-07-15  Jens Granseuer  <jensgr@gmx.net>

	* capplets/Makefile.am:
	* configure.in: don't fail if gstreamer is not available, but simply
	skip the sound capplet (closes bug #456957)

2007-07-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.5.

2007-07-09  Rodrigo Moya <rodrigo@gnome.db.org>

	* configure.in: AC_SUBST(XCURSOR... , needed for themus.

2007-06-24  Gabor Kelemen  <kelemeng@gnome.hu>

	* capplets/accessibility/at-properties/at-enable-dialog.glade: Fix typo in string. 
	(Closes bug #450405).

2007-06-18  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.4.

2007-06-16  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: add back gnome-theme-installer.desktop.in

2007-06-12  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: revert last commit. gnome-theme-package.xml is
	created by intltool, not autoconf (closes bug #446733)

2007-06-05  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: add capplets/appearance/gnome-theme-package.xml
	to generated files

2007-06-05  Ross Burton  <ross@openedhand.com>

	* configure.in:
	Bump glib requirement to 2.13, for the ~second-accurate timers.

2007-06-05  Ross Burton  <ross@openedhand.com>

	* configure.in:
	Call pkgconfig specifically for the typing break applet.

2007-06-04  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.3.

2007-06-02  Jens Granseuer  <jensgr@gmx.net>

	* Makefile.am: don't try to distribute removed files...

2007-05-28  Jens Granseuer  <jensgr@gmx.net>

	* TODO.xml:
	* archiver/*
	* control-center.spec.in:
	* debian/*:
	* idl/*:
	* root-manager/*: remove obsolete files

2007-05-28  Jens Granseuer  <jensgr@gmx.net>

	* configure.in:
	* capplets/Makefile.am: remove fonts, theme, and ui capplets from the build
	and purge some obsolete stuff from configure.in

2007-05-19  Sergey Udaltsov <svu@gnome.org>

	* configure.in: dependency on libxklavier reverted to 3.2

2007-05-17  Sergey Udaltsov <svu@gnome.org>

	* configure.in: dependency on libxklavier 3.3

2007-05-06  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: add desktop file for appearance capplet

2007-05-04  Jens Granseuer  <jensgr@gmx.net>

	* schemas/desktop_gnome_font_rendering.schemas.in: remove the dpi
	default value since g-s-d and the capplet ignore it anyway but gconf-editor
	doesn't know that (related to bug #378338)

2007-04-30  Jens Granseuer  <jensgr@gmx.net>

	* capplets/Makefile.am:
	* configure.in:
	add new appearance capplet to build system

2007-04-30  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Generate a capplets/keybindings/gnome-keybindings.pc
	from the .in file

2007-04-30  Thomas Wood  <thos@gnome.org>

	* capplets/appearance/Makefile.am:
	* capplets/appearance/appearance-main.c:
	* capplets/appearance/appearance-themes.c:
	* capplets/appearance/appearance-themes.h:
	* capplets/appearance/appearance.glade:
	* capplets/appearance/appearance.h:

	Add some code for a new appearance capplet

2007-04-25  Jens Granseuer  <jensgr@gmx.net>

	* configure.in:
	* capplets/about-me/Makefile.am:
	* capplets/about-me/gnome-about-me-password.c:
	remove obsolete build stuff from the about-me capplet (bug #430219)

2007-04-23  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in:
	* NEWS: prepare for 2.19.1.

2007-04-23  George Kraft IV <gk4@austin.ibm.com>

	* configure.in:
	* capplets/default-applications/*: added A11Y applications to the
	default applications capplet.

2007-04-09  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: build libslab statically, to avoid conflicts with
	gnome-main-menu, which installs its .so and header files.

2007-03-21  Federico Mena Quintero  <federico@novell.com>

	Fix the gnome-settings-daemon part of
	https://bugzilla.novell.com/show_bug.cgi?id=217790 and
	http://bugzilla.gnome.org/show_bug.cgi?id=378338:  try to figure
	out the DPI value from the X server or the user's GConf settings.

	Should also fix https://bugzilla.novell.com/show_bug.cgi?id=240246.

	* gnome-settings-daemon/gnome-settings-xsettings.c (gnome_xft_settings_get): Call
	get_dpi_from_gconf_or_server() to figure out a reasonable DPI
	value; don't unconditionally get it from GConf.
	(get_dpi_from_gconf_or_server): New function.  If the user has
	ever set the /desktop/gnome/font_rendering/dpi value in GConf, we
	use its value.  Otherwise, we ask the X server.  We constrain the
	X server's response to a range of reasonable DPI values, since
	some servers lie about the screen's phisical dimensions --- the
	user would get unusably huge or tiny fonts otherwise.

	* capplets/font/main.c (dpi_load): First, see if the DPI value is actually set
	in GConf.  If it is, it means that the user has changed it at
	least once.  In that case, just use the value.  Otherwise, find
	the value from the X server in a similar way to what we do in
	gnome-settings-daemon.

2007-03-21  Rodrigo Moya <rodrigo@gnome-db.org>

	* configure.in: rename module to gnome-control-center.

2007-03-20  Priit Laes  <plaes@svn.gnome.org>

	* capplets/keybindings/00-multimedia-key.xml.in:
	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in: Add schemas
	to media keybinding.

	Introduces preferred media application support. Bug #362578.

2007-03-19  Bastien Nocera  <hadess@hadess.net>

	* capplets/keybindings/00-multimedia-key.xml.in:
	* capplets/keybindings/01-desktop-key.xml.in:
	* capplets/keybindings/50-metacity-desktop-key.xml.in:
	* capplets/keybindings/50-metacity-key.xml.in:
	* capplets/keybindings/Makefile.am:
	* capplets/keybindings/gnome-keybinding-properties.c:
	(create_dialog), (should_show_key), (count_rows_foreach),
	(ensure_scrollbar), (append_keys_to_tree), (parse_start_tag),
	(append_keys_to_tree_from_file), (reload_key_entries),
	(setup_dialog):
	* po/POTFILES.in: Make all the keybindings be external to the keybindings
	capplet itself. This allows applications to add their own keybindings
	without recompilation (Closes: #410758)

2007-03-18  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Vitaliy Ischenko <betalb@gmail.com>

	* capplets/about-me/gnome-about-me.glade:
	* capplets/accessibility/keyboard/gnome-accessibility-keyboard-properties.glade:
	* capplets/default-applications/gnome-default-applications-properties.glade:
	* capplets/keyboard/gnome-keyboard-properties.glade:
	* capplets/network/gnome-network-properties.glade:
	don't hardcode the invisible char property in glade files (closes bug
	#393879)

2007-03-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.18.0.

2007-03-11  Jens Granseuer  <jensgr@gmx.net>

	* README: remove obsolete list of dependencies, and update references
	to cvs (closes bug #344741)

2007-03-04  Jens Granseuer  <jensgr@gmx.net>

	Patch by: Loic Minier <lool+gnome@via.ecp.fr>

	* configure.in: fix linker flags for fontilus (part of bug #413468)

2007-02-26  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.17.92.

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS.

2007-02-20  Denis Washington  <denisw@svn.gnome.org>

	* shell/gnomecc.desktop: Reverting the default use of the shell and
	use the menus for 2.18 instead. The shell still needs some love and
	probably will be default for GNOME 2.20.

2007-02-12  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.17.91.

2007-02-06  Denis Washington  <denisw@svn.gnome.org>

	* shell/gnomecc.menu:
	* shell/gnomecc.directory.in: New files. Needed to fix bug #402797.
	
	* shell/control-center.c: Use gnomecc.menu instead of settings.menu.	
	
	* shell/Makefile.am: Add rules for gnomecc.directory.in.
	* po/POTFILES.in: Add gnomecc.directory.in.

2007-02-04  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: up GTK+ requirement to 2.10 (fixes #358106)

2007-02-03  Jens Granseuer  <jensgr@gmx.net>

	* capplets/about-me/Makefile.am:
	* capplets/background/Makefile.am:
	* capplets/default-applications/Makefile.am:
	* capplets/display/Makefile.am:
	* capplets/font/Makefile.am:
	* capplets/keybindings/Makefile.am:
	* capplets/keyboard/Makefile.am:
	* capplets/mouse/Makefile.am:
	* capplets/network/Makefile.am:
	* capplets/sound/Makefile.am:
	* capplets/theme-switcher/Makefile.am:
	* capplets/ui-properties/Makefile.am:
	* capplets/windows/Makefile.am: add cappletname variable which is
	used to define G_LOG_DOMAIN (fixes #380991)

2007-02-02  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: remove idl/Makefile.am from the list of config files

2007-02-02  Christian Persch  <chpe@svn.gnome.org>

	* Makefile.am:
	* capplets/about-me/Makefile.am:
	* capplets/about-me/gnome-about-me-password.c: (passdlg_init):
	* capplets/about-me/gnome-about-me.c: (about_me_setup_dialog):
	* capplets/accessibility/at-properties/Makefile.am:
	* capplets/accessibility/keyboard/Makefile.am:
	* capplets/accessibility/keyboard/accessibility-keyboard.c:
	(setup_accessX_dialog):
	* capplets/background/Makefile.am:
	* capplets/background/gnome-wp-capplet.c: (gnome_wp_create_dialog):
	* capplets/common/Makefile.am:
	* capplets/common/capplet-util.c: (capplet_set_icon):
	* capplets/default-applications/Makefile.am:
	* capplets/display/Makefile.am:
	* capplets/file-types/Makefile.am:
	* capplets/file-types/file-types-capplet.c: (create_dialog):
	* capplets/file-types/mime-category-edit-dialog.c:
	(mime_category_edit_dialog_init):
	* capplets/file-types/mime-edit-dialog.c: (mime_edit_dialog_init):
	* capplets/file-types/service-edit-dialog.c:
	(service_edit_dialog_init):
	* capplets/font/Makefile.am:
	* capplets/keybindings/Makefile.am:
	* capplets/keybindings/gnome-keybinding-properties.c:
	(create_dialog):
	* capplets/keyboard/Makefile.am:
	* capplets/keyboard/gnome-keyboard-properties-xkblt.c:
	(xkb_layout_choose):
	* capplets/keyboard/gnome-keyboard-properties-xkbmc.c:
	(choose_model):
	* capplets/keyboard/gnome-keyboard-properties.c: (create_dialog):
	* capplets/localization/Makefile.am:
	* capplets/localization/gnome-localization-properties.c:
	(create_dialog):
	* capplets/mime-type/Makefile.am:
	* capplets/mouse/Makefile.am:
	* capplets/mouse/gnome-mouse-properties.c: (create_dialog):
	* capplets/network/Makefile.am:
	* capplets/network/gnome-network-preferences.c:
	(cb_http_details_button_clicked), (main):
	* capplets/rollback/Makefile.am:
	* capplets/sound/Makefile.am:
	* capplets/sound/sound-properties-capplet.c: (create_dialog),
	(device_test_button_clicked):
	* capplets/theme-switcher/Makefile.am:
	* capplets/ui-properties/Makefile.am:
	* capplets/ui-properties/gnome-ui-properties.c: (create_dialog):
	* capplets/url-properties/Makefile.am:
	* capplets/windows/Makefile.am:
	* capplets/wm-properties/wm-desktops/Makefile.am:
	* configure.in:
	* gnome-settings-daemon/Makefile.am:
	* gnome-settings-daemon/actions/Makefile.am:
	* gnome-settings-daemon/gnome-settings-xmodmap.c:
	(gnome_settings_modmap_dialog_call):
	* gnome-settings-daemon/gnome-settings-xrdb.c:
	* gnome-settings-daemon/gsd-media-keys-window.c: (action_changed),
	(gsd_media_keys_window_init):
	* gnome-settings-daemon/xrdb/Makefile.am:
	* typing-break/Makefile.am:
	* vfs-methods/themus/Makefile.am: Don't define directories in
	configure. Remove some obsolete defines, and use the standard
	installation paths. Bug #395383.

2007-01-31  Christian Persch  <chpe@svn.gnome.org>

	* configure.in:
	* gnome-settings-daemon/Makefile.am: Don't define dbus services
	directory in configure. Bug #395383.

2007-01-31  Christian Persch  <chpe@svn.gnome.org>

	* capplets/accessibility/at-properties/Makefile.am:
	* capplets/accessibility/keyboard/Makefile.am:
	* capplets/background/Makefile.am:
	* capplets/common/Makefile.am:
	* capplets/default-applications/Makefile.am:
	* capplets/display/Makefile.am:
	* capplets/font/Makefile.am:
	* capplets/keybindings/Makefile.am:
	* capplets/keyboard/Makefile.am:
	* capplets/mouse/Makefile.am:
	* capplets/network/Makefile.am:
	* capplets/theme-switcher/Makefile.am:
	* capplets/ui-properties/Makefile.am:
	* capplets/windows/Makefile.am:
	* configure.in:
	* gnome-settings-daemon/Makefile.am:
	* libbackground/Makefile.am:
	* libwindow-settings/Makefile.am:
	* typing-break/Makefile.am:
	* vfs-methods/fontilus/Makefile.am:
	* vfs-methods/themus/Makefile.am: Fix localedir defines. Bug #395383.

2007-01-30  Jens Granseuer  <jensgr@gmx.net>

	* configure.in: dump remnants of gstreamer-0.8 since it's not been
	supported for a while

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* shell/Makefile.am: Respect the --disable-schemas-install configure
	flag. Bug #401004.

2007-01-25  Rodrigo Moya <rodrigo@gnome-db.org>

	* control-center/*: removed old shell.

2007-01-22  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: prepare for 2.17.90.

2007-01-21  Thomas Wood  <thos@gnome.org>

	* MAINTAINERS: Add myself, remove Chris Lahey

2007-01-19  Jens Granseuer <jensgr@gmx.net>

	Fixes #397905

	* configure.in: check for xf86misc library in addition to header files.

2007-01-17  Denis Washington  <dwashington@gmx.net>

	* capplets/accessibility/keyboard/accessibility-keyboard.desktop.in.in:
	* capplets/accessibility/at-properties/at-properties.desktop.in.in:
	* capplets/network/gnome-network-preferences.desktop.in.in:
	* capplets/default-applications/default-applications.desktop.in.in:
	* capplets/about-me/gnome-about-me.desktop.in.in:

	Replace the non-standard-compilant categories PersonalSettings,
	NetworkSettings and SystemSettings with X-GNOME-*.

2007-01-09  Thomas Wood  <thos@gnome.org>

	* Makefile.am: Fix for distcheck

2007-01-08  Rodrigo Moya <rodrigo@gnome-db.org>

	* NEWS:
	* configure.in: updated for 2.17.5.

2007-01-08  Jan Arne Petersen  <jpetersen@jpetersen.org>

	Fixes #173035

	* configure.in: updated sound capplet requirements.

2007-01-08  Denis Washington <dwashington@gmx.net>

	Fixes #393617

	* */*.desktop.in.in: use new control center shell categories for
	the capplets.

2007-01-08  Thomas Wood  <thos@gnome.org>

	Patch by: Alberto Ruiz <aruiz@synaptia.net>

	* configure.in:

	Add support for opening .gtp (application/x-gnome-theme-package) files.
	Fixes bug 393697 (Theme packages should have their own mime type.)

2007-01-06  Marc-Andre Lureau  <marcandre.lureau@gmail.com>

	Fixes #392276

	* configure.in: added support for disabling esound.

2007-01-03  Christian Persch  <chpe@svn.gnome.org>

	* configure.in:
	A po/LINGUAS:
	Apply GnomeGoal. Patch by Steve Frécinaux and Luca Cavalli, bug
	#337909.

2006-12-19  Sebastien Bacher <seb128@ubuntu.com>

	* NEWS:
	* configure.in: updated for 2.17.4

2006-12-07  William Jon McCann  <mccann@jhu.edu>

	* gnome-settings-daemon/Makefile.am:
	* gnome-settings-daemon/actions/Makefile.am:
	* gnome-settings-daemon/actions/acme.glade:
	* gnome-settings-daemon/actions/gnome-speakernotes-muted.png:
	* gnome-settings-daemon/actions/gnome-speakernotes.png:
	* gnome-settings-daemon/gnome-settings-multimedia-keys.c:
	(execute), (dialog_init), (unhookup_keysym), (update_kbd_cb),
	(init_kbd), (dialog_show), (do_eject_action), (do_sound_action),
	(gnome_settings_multimedia_keys_load):
	* gnome-settings-daemon/gsd-media-keys-window.c: (hide_timeout),
	(remove_hide_timeout), (add_hide_timeout), (update_window),
	(volume_controls_set_visible), (window_set_icon_name),
	(window_set_icon_file), (action_changed), (volume_level_changed),
	(volume_muted_changed), (gsd_media_keys_window_set_action),
	(gsd_media_keys_window_set_volume_muted),
	(gsd_media_keys_window_set_volume_level), (curved_rectangle),
	(draw_action_eject), (draw_waves), (draw_speaker),
	(draw_volume_boxes), (draw_action_volume), (draw_action),
	(on_expose_event), (gsd_media_keys_window_real_show),
	(gsd_media_keys_window_real_hide),
	(gsd_media_keys_window_class_init), (initialize_alpha_mode),
	(gsd_media_keys_window_init), (gsd_media_keys_window_finalize),
	(gsd_media_keys_window_new):
	* gnome-settings-daemon/gsd-media-keys-window.h:
	Add a new media keys window that takes advantage of
	compositing when available.  Fixes #383066

2006-12-04  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.17.3.

	* autogen.sh: replaced check to look for really existing files.

2006-11-13  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: added shell/gnomecc.desktop.in to $OUTPUT.

2006-11-13  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: added libslab.pc to $OUTPUT.

2006-11-13  Rodrigo Moya <rodrigo@novell.com>

	* shell/*: new control center shell.

	* Makefile.am:
	* configure.in: added new directory to build.

2006-10-18  Sergey Udaltsov <svu@gnome.org>

	* Makefile.am, configure.in, capplets/keyboard/Makefile.am,
	capplets/keyboard/gnome-keyboard-properties-xkb.c,
	capplets/keyboard/gnome-keyboard-properties-xkb.h,
	capplets/keyboard/gnome-keyboard-properties-xkblt.c,
	capplets/keyboard/gnome-keyboard-properties-xkbmc.c,
	capplets/keyboard/gnome-keyboard-properties-xkbot.c,
	capplets/keyboard/gnome-keyboard-properties-xkbpv.c,
	gnome-settings-daemon/Makefile.am,
	gnome-settings-daemon/gnome-settings-keyboard-xkb.c,
	gnome-settings-daemon/gnome-settings-keyboard-xkb.h,
	schemas/Makefile.am: changing things from libgswitchit/libkbdraw to
	libgnomekbd

2006-10-16  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.17.1.

2006-09-04  Rodrigo Moya <rodrigo@novell.com>

	* NEWS: updated for 2.16.0.

2006-08-27  Matthias Clasen <mclasen@redhat.com>

	Fixes #352776

	* libkbdraw/keyboard-drawing.c (key_event): return TRUE when we
	handle the key event, to avoid GTK+ to handle it also.

2006-08-22  Sebastien Bacher <seb128@debian.org>

	* configure.in: updated to 2.16.0

2006-08-22  Sebastien Bacher <seb128@debian.org>

	* NEWS: updated for 2.15.92

2006-08-21  Subhransu Behera  <arya_subhransu@yahoo.co.in>

	* configure.in: Added Oriya (or) to ALL_LINGUAS.

2006-08-08  Sebastien Bacher  <seb128@debian.org>

	* configure.in: updated to 2.15.92

2006-08-07  Sebastien Bacher  <seb128@debian.org>

	* NEWS: updated for 2.15.91

2006-08-07  Sebastien Bacher  <seb128@debian.org>

	* configure.in: require libebook-1.2 1.7.90 for the new API

2006-07-25  Sebastien Bacher  <seb128@debian.org>

	* NEWS:
	* configure.in: updated to 2.15.91

2006-07-24  Sebastien Bacher  <seb128@debian.org>

	* NEWS:
	* configure.in: update for GNOME 2.15.90

2006-07-07  Sven Herzberg  <herzi@gnome-de.org>

	* capplets/display/main.c: added rotation support;
	Closes: #324125

2006-07-06  Sven Herzberg  <herzi@gnome-de.org>

	* capplets/display/main.c: replaced GtkOptionMenu by GtkComboBox;
	Closes: #338468

2006-07-03  Runa Bhattacharjee <runabh@gmail.com>

        * configure.in: Added Bengali India (bn_IN) to ALL_LINGUAS.

2006-06-25  Sergey Udaltsov <svu@gnome.org>

	* configure.in: enabling DBUS

2006-06-12  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.15.3.

2006-05-29  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added mg (Malagasy) to ALL_LINGUAS.

2006-05-27  Bastien Nocera  <hadess@hadess.net>

	* configure.in: version the libxklavier requirement to avoid
	headaches

2006-05-05  Jürg Billeter  <j@bitron.ch>

	* configure.in: Add gstreamer-0.10 and optionally HAL to sound
	  capplet dependencies.

2006-04-27  Bastien Nocera  <hadess@hadess.net>

	* configure.in: remove checks for fb-level support
	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in:
	Remove the brightness keybindings (Closes: #339857)

2006-04-22  Sergey Udaltsov <svu@gnome.org>

	* schemas/desktop_gnome_peripherals_keyboard_xkb.schemas.in:
	add gconf variables for the layout preview window position

2006-04-20  Sergey Udaltsov <svu@gnome.org>

	* configure.in:
	* gnome-settings-daemon/gnome-settings-keyboard-xkb.c:
	* capplets/keyboard/*.c:
	* capplets/keyboard/*.h:
	update for new libxklavier API

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO.
	* po/no.po: And the translation.

2006-04-10  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.14.1.

2006-04-03  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* capplets/theme-switcher/theme-properties.glade: Don't allow tab
	characters in custom theme descriptions (#336151, Wouter Bolsterlee)

2006-03-29  Jaap A. Haitsma <jaap@haitsma.org>

	Fixes #171833

	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in: set
	Ctrl-Atl-l as default keybinding for screen locking.

2006-03-22  Jérémy Ar Floc'h  <jeremy.lefloch@gmail.com>

	* configure.in (ALL_LINGUAS): Added Breton (br).

2006-03-22  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-18  Vladimer SIchinava  <vlsichinava@gmail.com>

        * configure.in: Added ka (Georgian) to ALL_LINGUAS

2006-03-13  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.14.0.

2006-03-03  Mathis Hasselmann <mathias.hasselmann@gmx.de>

	Fixes #333119

	* configure.in: Set GST_LIBS when using 0.8 also.

	* gnome-settings-daemon/Makefile.am: link against $(GST_LIBS).

2006-02-27  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.13.92.

2006-02-13  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.13.92.

2006-02-09  Rodney Dawes  <dobey@novell.com>

	* configure.in: Require gtk+ 2.8.12 for cairo speed workaround for
	applying the desktop background image

2006-02-08  Rodrigo Moya <rodrigo@novell.com>

	Fixes #330335

	* configure.in: check for glib >= 2.8.0.

2006-02-03  Rodrigo Moya <rodrigo@novell.com>

	* configure.in: removed HAL detection, was added by mistake.

2006-02-01  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Update
	* configure.in: Release 2.13.91.
	* help/Makefile.am: Remove reference to the spanish translation.
	It's broken and incomplete anyway.
	* help/es/Makefile.am: Remove this file as it seems to be old cruft.

2006-01-30  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: updated for 2.13.90.

2006-01-30  Rodrigo Moya <rodrigo@novell.com>

	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in:
	reverted commit from 2006-01-11.

2006-01-26  Christian Persch  <chpe@cvs.gnome.org>

        * capplets/font/font-properties.glade:
	Change "Monospace" to "Fixed width". Bug #160454.

2006-01-26  Christian Persch  <chpe@cvs.gnome.org>

	* capplets/font/font-properties.glade:
	* capplets/font/main.c: (setup_dialog):
	Add a font button for the document font gconf key, and change
	the label of the 'terminal font' button. Bug #160454,
	patch by Shaun McCance.

2006-01-22  Luca Cavalli  <loopback@slackit.org>

	* capplets/about-me/gnome-about-me.desktop.in.in:
	* capplets/accessibility/at-properties/at-properties.desktop.in.in:
	* capplets/accessibility/keyboard/accessibility-keyboard.desktop.in.in:
	* capplets/background/background.desktop.in.in:
	* capplets/default-applications/default-applications.desktop.in.in:
	* capplets/display/display-properties.desktop.in.in:
	* capplets/file-types/file-types.desktop.in.in:
	* capplets/font/font-properties.desktop.in.in:
	* capplets/keybindings/keybinding.desktop.in.in:
	* capplets/keyboard/keyboard.desktop.in.in:
	* capplets/localization/localization.desktop.in.in:
	* capplets/mouse/gnome-settings-mouse.desktop.in.in:
	* capplets/network/gnome-network-preferences.desktop.in.in:
	* capplets/sound/gnome-settings-sound.desktop.in.in:
	* capplets/theme-switcher/gtk-theme-selector.desktop.in.in:
	* capplets/ui-properties/gnome-ui-properties.desktop.in.in:
	* capplets/windows/window-properties.desktop.in.in:
	* control-center/gnomecc.desktop.in.in: Add GTK category to the
	.desktop files and remove unused ones. (Closes: #328028)

2006-01-18  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: update for 2.13.5.1.

2006-01-16  Rodrigo Moya <rodrigo@novell.com>

	* Makefile.am: include m4 directory and fixed .spec file disting.

2006-01-16  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: update for 2.13.5.

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* configure.in: the new gnome-default-applications capplet uses libxml2

2006-01-16  Sebastien Bacher  <seb128@debian.org>

	* configure.in: fix gstreamer0.10 requirement

2006-01-15  Sebastien Bacher  <seb128@debian.org>

	* configure.in: optional use of gstreamer0.10, patch based on the work
	done by Saleem Abdulrasool and Tim-Philipp Müller (Fixes: #326257)

2006-01-14  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.

2006-01-11  Dennis Cranston  <dennis_cranston@yahoo.com>

	* capplets/sound/sound-properties-capplet.c: (create_dialog):
	Do not hardcode the height of the dialog.
	* capplets/sound/sound-properties.glade:  Add an alignment to
	set 18 pixels of space before starting the "System Sounds" 
	category.
	* libsounds/sound-view.c: (play_preview_cb), (add_sound_item),
	(sound_view_init):  Indent the contents of the "System Sounds"
	category.  Use left alignment for combobox labels.  Fix the
	row and column spacing.
        
2006-01-11  Sebastien Bacher  <seb128@debian.org>

	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in:
	drop the keysym/keycode binding code, it's an hack and 
	doesn't work fine, patch by Bastien Nocera <hadess@hadess.net>
	(Closes: #133815)

2006-01-05  Thomas Wood  <thos@gnome.org>

	reviewed by: Sebastien Bacher

	* capplets/theme-switcher/gnome-theme-installer.c:
	(transfer_done_cb): Use `head -n 1` instead of `head -1`.
	Fixes bug 316800

2006-01-03  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: update for 2.13.4.

2006-01-03  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: remove unused --enable-gconf-source
	option - it sets the GCONF_CONFIG_SOURCE variable
	which isn't used and AM_GCONF_SOURCE_2 does the job
	it's trying to do

2006-01-03  Jens Granseuer <jensgr@gmx.net>

	Fixes #321779

	* configure.in: don't use -Wextra for old gccs.

2005-12-12  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: update for 2.13.3.

2005-11-25  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in, capplets/about-me/Makefile.am
	  capplets/about-me/gnome-about-me.c,
	  capplets/about-me/gnome-about-me-password.c:
	  Fix so that gnome-about-me works on non-linux
	  systems which do not have forkpty().

2005-11-14  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: update for 2.13.2.

2005-11-14  Jürg Billeter  <j@bitron.ch>

	* schemas/Makefile.am:
	* schemas/desktop_gnome_peripherals_keyboard_numlock.schemas.in:
	Remove numlock schema file again, moved to libgnome.
	Fixes bug #319788.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* */*: Huge cleanup. Individual ChangeLogs have info.
	Closing bug #320157.
	* libkbddraw/keyboard-drawing.h: ANSIfy some function declarations.

2005-10-31  Jürg Billeter  <j@bitron.ch>

	reviewed by: Rodrigo Moya <rodrigo@novell.com>

	* schemas/Makefile.am:
	* schemas/desktop_gnome_peripherals_keyboard.schemas.in: renamed to
	  schemas/desktop_gnome_peripherals_keyboard_numlock.schemas.in
	Rename numlock schema file to fix conflict with libgnome.
	Fixes bug #319788.

2005-10-24  Rodrigo Moya <rodrigo@novell.com>

	* configure.in:
	* NEWS: update for 2.13.1.

2005-10-21  Ray Strode  <rstrode@redhat.com>

	* configure.in: add check for xinput extension, needed
	for bug 314409.

2005-10-10  Jürg Billeter  <j@bitron.ch>

	reviewed by: Sergey V. Udaltsov  <svu@gnome.org>

	* schemas/Makefile.am:
	* schemas/desktop_gnome_peripherals_keyboard.schemas.in:
	Add schema for remembering NumLock state between sessions.
	Fixes bug #74215. Patch by Sebastian Kapfer  <sebastian_kapfer@web.de>

2005-10-03  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update for 2.12.1.

2005-10-02  Sebastien Bacher  <seb128@debian.org>

	* NEWS: update for 2.12.1.

2005-09-26  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in: Fix xcursor test so that it doesn't
	  cause configure to crash if the xcursor extension
	  can't be found.  Instead just build without xcursor
	  support.

2005-09-24  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: added "ku" (Kurdish) to ALL_LINGUAS

2005-09-14  Ray Strode  <rstrode@redhat.com>

	* configure.in: previous patch breaks
	the build, just revert for now, bug 316142.

2005-09-12  Ray Strode  <rstrode@redhat.com>

	* configure.in: add check for xinput extension, needed
	for bug 314409.

2005-09-04  Sebastien Bacher  <seb128@debian.org>

	* NEWS: update for 2.12.0

2005-08-24  Sergey V. Udaltsov <svu@gnome.org>

	* configure.in, Makefile.am, capplets/keyboard/Makefile.am:
	fixing #313368, no more pangoxft

2005-08-22  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update to 2.12.0.

==================== 2.11.92 ===================	

2005-08-22  Christian Persch  <chpe@cvs.gnome.org>

	* capplets/Makefile.am: Fix distcheck.

2005-08-22  Sebastien Bacher  <seb128@debian.org>

	* NEWS: update for 2.11.92

2005-08-21  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in: Simply enable-aboutme check, and fix
	configure output.

2005-08-21  Sebastien Bacher  <seb128@debian.org>

	* configure.in: fix the --enable-aboutme configure option,
	patch by Ray Strode <rstrode@redhat.com> (Closes: #313121).

2005-08-14  Sergey V. Udaltsov <svu@gnome.org>

	* configure.in, libkbdraw/Makefile.am, capplets/keyboard/Makefile.am:
	fixing #313368

2005-08-10  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update to 2.11.92

==================== 2.11.91 ===================
	
2005-08-10  Sebastien Bacher  <seb128@debian.org>

	* NEWS: update for 2.11.91.

2005-08-04  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS.

2005-07-27  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update to 2.9.91

==================== 2.11.90 ===================	
	
2005-07-27  Sebastien Bacher  <seb128@debian.org>

	* .cvsignore:
	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* m4/.cvsignore:
	switch to gnome-doc-utils. require automake-1.9 and use "tar-ustar" to
	fix the make dist.

2005-07-27  Sebastien Bacher  <seb128@debian.org>

	* NEWS:
	* configure.in: updated for 2.11.90.

2005-07-27  Mark McLoughlin  <mark@skynet.ie>

	* configure.in, autogen.sh: revert what looks like
	accidentally committed changes from svu.

2005-07-20  Rodrigo Moya <rodrigo@novell.com>

	* control-center.spec.in: require either xscreensaver or gnome-screensaver.

	* schemas/apps_gnome_settings_daemon_screensaver.schemas.in: don't
	mention explicitly xscreensaver, but "generic screen saver".
	
2005-07-19  Mark McLoughlin  <mark@skynet.ie>

	See http://mail.gnome.org/archives/desktop-devel-list/2005-July/msg00341.html

	* capplets/wm-properties/*: remove old crufty code.

2005-07-17  Sven Herzberg  <herzi@gnome-de.org>

	* configure.in: use pkg-config to check for xcursor

2005-07-15  Mark McLoughlin  <mark@skynet.ie>

	See bug #310513

	* schemas/desktop_gnome_peripherals_keyboard_xkb.schemas.in:
	Deprecate the overrideSettings key and make the keys unset
	by default (we want to use the XKB settings by default)

2005-07-13  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update to 2.11.7.

==================== 2.11.6 ===================	

2005-07-13  Sebastien Bacher  <seb128@debian.org>

	* NEWS: updated for 2.11.6.

2005-07-08  Sebastien Bacher  <seb128@debian.org>

	* configure.in: updated the libxft requirement to 2.1.7, 
	Christian Lohmaier <cloph@cup.uni-muenchen.de> (Closes: #309558).

2005-07-08  Sebastien Bacher  <seb128@debian.org>

	* NEWS: updated.

2005-07-07  Sebastien Bacher  <seb128@debian.org>

	* schemas/Makefile.am: fix a typo with a .schemas name, 
	Jan Schmidt <thaytan@mad.scientist.com> (Closes: #307388).

2005-07-05  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update to 2.11.6.

==================== 2.11.5 ===================
	
2005-07-05  Sebastien Bacher  <seb128@debian.org>

	* configure.in: build the new capplet by default.

2005-06-22  Diego Gonzalez <diego@pemas.net>

        * configure.in: add code to conditionally enable the compilation of
	  the about-me capplet
        * capplets/Makefile.am: ditto

2005-06-12  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update to 2.11.5

==================== 2.11.4 ===================
	
2005-06-12  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update the version to 2.11.4

2005-06-12  Sebastien Bacher  <seb128@debian.org>

	* NEWS:
	* configure.in: 2.11.3.1 bug fix.

2005-06-10  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update for 2.11.4
	
==================== 2.11.3 ===================
	
2005-05-22  Sebastien Bacher  <seb128@debian.org>

	* ChangeLog capplets/about-me/e-image-chooser.c 
	capplets/accessibility/at-properties/at-startup-session.h 
	capplets/accessibility/keyboard/accessibility-keyboard.c 
	capplets/background/gnome-wp-info.c 
	capplets/common/gconf-property-editor.c 
	capplets/common/gnome-theme-apply.c 
	capplets/default-applications/gnome-default-applications-properties.c 
	capplets/keybindings/gnome-keybinding-properties.c 
	capplets/keyboard/gnome-keyboard-properties.c 
	capplets/mouse/gnome-mouse-properties.c 
	capplets/network/gnome-network-preferences.c 
	capplets/sound/sound-properties-capplet.c 
	capplets/theme-switcher/gnome-theme-details.c 
	capplets/theme-switcher/gnome-theme-manager.c 
	capplets/ui-properties/gnome-ui-properties.c 
	capplets/windows/gnome-window-properties.c 
	gnome-settings-daemon/factory.c 
	gnome-settings-daemon/gnome-settings-accessibility-keyboard.c 
	gnome-settings-daemon/gnome-settings-background.c 
	gnome-settings-daemon/gnome-settings-daemon.c 
	gnome-settings-daemon/gnome-settings-daemon.h 
	gnome-settings-daemon/gnome-settings-font.c 
	gnome-settings-daemon/gnome-settings-keybindings.c 
	gnome-settings-daemon/gnome-settings-keybindings.h 
	gnome-settings-daemon/gnome-settings-keyboard-xkb.c 
	gnome-settings-daemon/gnome-settings-keyboard.c 
	gnome-settings-daemon/gnome-settings-locate-pointer.h 
	gnome-settings-daemon/gnome-settings-mouse.c 
	gnome-settings-daemon/gnome-settings-multimedia-keys.c 
	gnome-settings-daemon/gnome-settings-screensaver.c 
	gnome-settings-daemon/gnome-settings-sound.c 
	gnome-settings-daemon/gnome-settings-xmodmap.c 
	gnome-settings-daemon/gnome-settings-xrdb.c 
	gnome-settings-daemon/gnome-settings-xsettings.c 
	libbackground/applier.c libbackground/applier.h 
	libbackground/preferences.c libsounds/sound-properties.c 
	libsounds/sound-view.h libwindow-settings/gnome-wm-manager.c 
	libwindow-settings/metacity-window-manager.c 
	typing-break/drw-break-window.c typing-break/drw-utils.h 
	typing-break/drwright.c vfs-methods/fontilus/font-view.c 
	vfs-methods/themus/themus-theme-applier.c:
	Cleanup of gconf and a few other things, 
	patch from Kjartan Maraas <kmaraas@gnome.org> (Closes: #301945).

2005-05-12  Christian Persch  <chpe@cvs.gnome.org>

	* capplets/ui-properties/gnome-ui-properties.glade:
	Remove stray whitespace. Bug #302036.

2005-05-08  Rodney Dawes  <dobey@novell.com>

	* configure.in (gtk_minver): Require GTK+ >= 2.6.0 now, we should have
	been requiring at least 2.4 here anyway, needed for new gdk-pixbuf
	method that we use in libbackground for bug #169757

2005-03-31  Steve Murphy  <murf@e-tools.com>

	* configure.in: Added "rw" to ALL_LINGUAS.

2005-03-27  Sebastien Bacher  <seb128@debian.org>

	* configure.in: require libgnome-menu 2.11.1 for the new API.

2005-03-27  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update version to 2.11.0

2005-03-09  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-08  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update version to 2.10.1

==================== 2.10.0 ===================
	
2005-03-08  Sebastien Bacher  <seb128@debian.org>

	* NEWS:
	* configure.in: update for 2.10.0

2005-02-28  Jody Goldberg <jody@gnome.org>

	* gnome-settings-daemon/gnome-settings-keyboard-xkb.c
	(activation_error) : don't bother VNC users with warnings of XKB
	  breakage, we already know it is not going to work.

2005-02-09  Sebastien Bacher  <seb128@debian.org>

	* configure.in: update version to 2.9.92

==================== 2.9.91 ===================

2005-02-09  Sebastien Bacher  <seb128@debian.org>

	* configure.in:
	* capplets/Makefile.am:
	the previous change is not needed, changed POTFILES.in.
	
2005-02-09  Sebastien Bacher  <seb128@debian.org>

	* configure.in:
	* capplets/Makefile.am:
	include the "about-me" capplet files to the tarball to fix the tarball
	build.

2005-02-09  Sebastien Bacher  <seb128@debian.org>

	* NEWS:
	* configure.in: updated for the 2.9.91 release.

2005-02-06  Sergey V. Udaltsov <svu@gnome.org>

	* schemas/desktop_gnome_peripherals_keyboard_xkb.schemas.in,
	gnome-settings-daemon/gnome-settings-keyboard-xkb.c,
	gnome-settings-daemon/modmap-dialog.glade: providing ability to
	suppress the "x sysconfig changed" warning message, fixing #150435

2005-02-03  Leena Gunda  <leena.gunda@wipro.com>

	* configure.in: Check for screensaver functionality in libXext.so
	also when deciding to build typing-break. Fixes bug #155461.

2004-12-27  Sergey V. Udaltsov <svu@gnome.org>

	* schemas/desktop_gnome_peripherals_keyboard_xkb.schemas.in:
	Changing the default value for "handleIndicators" to false, 
	as requested in #161343

2004-12-20  Sebastien Bacher  <seb128@debian.org>

	* configure.in: post release bump to 2.9.5.

==================== 2.9.4 ====================

2004-12-20  Sebastien Bacher  <seb128@debian.org>

	* configure.in: Version 2.9.4.

2005-01-10  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne "Nepali" in ALL_LINGUAS

2005-01-04  Shakti Sen <shprasad@novell.com>

	* configure.in: Defined PREFIX to <prefix> 
	bug #153203
	
2005-01-03  Dan Winship  <danw@novell.com>

	* configure.in: Remove redundant check for ngettext, since
	AM_GLIB_GNU_GETTEXT already checks for it (in both libc and
	libintl)._

2005-01-03  Sebastien Bacher  <seb128@debian.org>

	* libkbdraw/Makefile.am: 
	patch from Marco Pesenti Gritti <marco@gnome.org> 
	to fix the build out of the source dir (Closes: #158333).

2004-12-31  Sergey V. Udaltsov <svu@gnome.org>

	* configure.in: Bump libxklavier requirement to 1.14

2004-12-20  Sebastien Bacher  <seb128@debian.org>

	* configure.in: post release bump to 2.9.4.

Mon Dec 20 16:52:47 2004  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: release 2.9.3

2004-12-13  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS.

2004-12-08  Sergey V. Udaltsov <svu@gnome.org>

	* configure.in: Bump libxklavier requirement to 1.13

2004-11-28  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS.

2004-11-28  James Henstridge  <james@jamesh.id.au>

	* vfs-methods/themus/themus-properties-main.c: use GNOMELOCALEDIR.

	* vfs-methods/themus/Makefile.am: similar changes to the fontilus
	ones.

	* vfs-methods/fontilus/fontilus-context-menu.c: same here.

	* vfs-methods/fontilus/font-view.c: use GNOMELOCALEDIR rather than
	FONTILUS_LOCALEDIR in the bindtextdomain() call, to match the rest
	of gnome-control-center.

	* vfs-methods/fontilus/Makefile.am: similar schema and desktop
	file fixes.  Don't include the old mime files in the dist.

	* schemas/Makefile.am: remove .schemas files on clean, when
	installing schemas, look for them in builddir rather than srcdir.

	* gnome-settings-daemon/actions/Makefile.am: fix up build rules so
	that ALSA_CFLAGS isn't defined multiple times (use the newer
	automake += syntax).

	* control-center/Makefile.am: distribute $(icon_DATA).

	* capplets/*/Makefile.am: put the .desktop and .desktop.in files
	in CLEANFILES.  The .desktop.in.in file gets included because it
	is listed in the configure script.

	* configure.in: update configure script, and remove macro calls
	that are not needed by modern versions of Automake.

	* Makefile.am: remove intltool files on distclean.

	* autogen.sh: request Automake >= 1.7.

	* configure.in (FONT_THUMBNAILER_LIBS): fix up typo that I
	introduced in the configure script.  Should fix the build properly
	now.

2004-11-27  James Henstridge  <james@jamesh.id.au>

	* configure.in (THEMUS_COMPONENT): use libnautilus-extension.

	* configure.in (FONT_CONTEXT_MENU): use libnautilus-extension for
	the context menu instead of Bonobo.

2004-11-24  Christoffer Olsen  <co@deworks.net>
	
	* All the 20 *.desktop.in files that contain Bugzilla information
	have been moved to *.desktop.in.in, with an added 
	X-GNOME-Bugzilla-Version header to make bug-buddy autocomplete
	version numbers in bug reports.

	* configure.in: Added the *.desktop.in.in's mentioned
	above to AC_OUTPUT, to generate *.desktop.in
	* po/POTFILES.in: Changed the *.desktop.in's mentioned above
	to *.desktop.in.in
	
	* capplets/accessibility/at-properties/at-properties.desktop.in:
	* capplets/accessibility/at-properties/at-properties.desktop.in.in:
	* capplets/accessibility/keyboard/accessibility-keyboard.desktop.in: 
	* capplets/accessibility/keyboard/accessibility-keyboard.desktop.in.in:
	* capplets/background/background.desktop.in:
	* capplets/background/background.desktop.in.in:
	* capplets/default-applications/default-applications.desktop.in:
	* capplets/default-applications/default-applications.desktop.in.in:
	* capplets/display/display-properties.desktop.in:
	* capplets/display/display-properties.desktop.in.in:
	* capplets/file-types/file-types-capplet.desktop.in:
	* capplets/file-types/file-types-capplet.desktop.in.in:
	* capplets/file-types/file-types.desktop.in:
	* capplets/file-types/file-types.desktop.in.in:
	* capplets/font/font-properties.desktop.in:
	* capplets/font/font-properties.desktop.in.in:
	* capplets/keybindings/keybinding.desktop.in:
	* capplets/keybindings/keybinding.desktop.in.in:
	* capplets/keyboard/keyboard.desktop.in:
	* capplets/keyboard/keyboard.desktop.in.in:
	* capplets/localization/localization.desktop.in:
	* capplets/localization/localization.desktop.in.in:
	* capplets/mouse/gnome-settings-mouse.desktop.in:
	* capplets/mouse/gnome-settings-mouse.desktop.in.in:
	* capplets/network/gnome-network-preferences.desktop.in:
	* capplets/network/gnome-network-preferences.desktop.in.in:
	* capplets/sound/gnome-settings-sound.desktop.in:
	* capplets/sound/gnome-settings-sound.desktop.in.in:
	* capplets/theme-switcher/gtk-theme-selector.desktop.in:
	* capplets/theme-switcher/gtk-theme-selector.desktop.in.in:
	* capplets/ui-properties/gnome-ui-properties.desktop.in:
	* capplets/ui-properties/gnome-ui-properties.desktop.in.in:
	* capplets/url-properties/url-properties.desktop.in:
	* capplets/url-properties/url-properties.desktop.in.in:
	* capplets/windows/window-properties.desktop.in:
	* capplets/windows/window-properties.desktop.in.in:
	* control-center/gnomecc.desktop.in:
	* control-center/gnomecc.desktop.in.in:
	* vfs-methods/fontilus/gnome-font-viewer.desktop.in:
	* vfs-methods/fontilus/gnome-font-viewer.desktop.in.in:

2004-11-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require libgnome-menu for the shell, fixup
	other shell requirements and don't look for libnautilus
	anymore.
	
	* Makefile.am: don't install control-center2.png anymore.
	
	* control-center2.png: remove.

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: remove $GNOMECC_DESKTOP_DIR
	
	* capplets/localization/Makefile.am: install the
	.desktop file in $(datadir)/applications.
	
	* capplets/localization/localization.desktop.in: add
	OnlyShowIn=GNOME;

	* capplets/desktop-links/*: remove.

2004-11-01  Jeff Waugh  <jdub@perkypants.org>

	* po/POTFILES.in, vfs-methods/fontilus/Makefile.am,
	  vfs-methods/fontilus/gnome-font-viewer.desktop.in,
	  vfs-methods/fontilus/.cvsignore: Add a .desktop file for the
	  font viewer, need it for the MIME loving. D'oh!

2004-10-21  Sebastien Bacher  <seb128@debian.org>

	* capplets/default-applications/gnome-default-applications-properti
	es-structs.c:
	* capplets/file-types/service-info.c:
	* control-center/control-center-categories.c:
	(load_information_to_information):
	* control-center/control-center.c: (gnome_cc_about):
	Changed the "Gnome" occurences to "GNOME" (Closes: #152085).

2004-10-17  Paolo Borelli  <pborelli@katamail.com>

	* capplets/common/activate-settings-daemon.c: fix leak, patch by
	Kjartan Maaras. (#153595)

2004-10-17  Sergey V. Udaltsov <svu@gnome.org>

	* configure.in : require libxklavier 1.10 - since API was changed

2004-10-15  Jody Goldberg <jody@gnome.org>

	* configure.in : bump the xklavier version dep.  I hope 1.04 is
	  sufficient, rather than cvs head.

2004-10-14  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-10-08  Christophe Fergeau  <teuf@gnome.org>

	* gnome-settings-daemon/actions/Makefile.am: switch ALSA_LIBS and 
	  GST_LIBS order in libacme_la_LIBADD, fixes some libtool link
	  issues on Debian.

Tue Sep 14 17:50:56 2004  Jonathan Blandford  <jrb@redhat.com>

	* configure.in:
	* NEWS: Release 2.8.0

2004-09-03  Jody Goldberg <jody@gnome.org>

	* gnome-settings-daemon/gnome-settings-keyboard-xkb.c : revert
	  unintended string change

2004-08-31  Jody Goldberg <jody@gnome.org>

	* capplets/common/gconf-property-editor.c
	(peditor_numeric_range_widget_changed) : tracked the long running
	  irrtation about 'expecting int received float'.  Running without a
	  schema would default the value to float.  12 of 13 callers had ints
	  so I have changed the default and added a warning.

Sun Aug 29 22:37:00 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: post release bump.

Sun Aug 29 21:55:09 2004  Jonathan Blandford  <jrb@gnome.org>

	* NEWS: Release 2.7.1

2004-07-23  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=148291
	* configure.in : typo

2004-06-07  Jody Goldberg <jody@gnome.org>

	* po/POTFILES.in : add server file, still unused without the patch
	* configure.in : ditto.

2004-06-01  Jody Goldberg <jody@gnome.org>

	* schemas/desktop_gnome_peripherals_keyboard_xkb.schemas.in : Add
	  xkb/update_handlers.

2004-08-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added «nb» to ALL_LINGUAS.
2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

Sat Jul 31 11:00:33 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: post release bump

Fri Jul 30 20:39:10 2004  Jonathan Blandford  <jrb@gnome.org>

	* configure.in: 2.7.0

Wed Jul 21 15:43:55 2004  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: Blah.  badly applied patch.

Wed Jul 21 15:09:17 2004  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: patch from Mason Kidd <mrkidd@mrkidd.com> to put
	back default-applications and remove file-types.

Mon Jul 19 11:09:44 2004  Jonathan Blandford  <jrb@gnome.org>

	* capplets/Makefile.am (always_built_SUBDIRS): 
	* configure.in: remove default-applications capplet.

2004-07-15  Bastien Nocera  <hadess@hadess.net>

	* configure.in: fix OSS detection on NetBSD, patch from Julio M.
	Merino Vidal <jmmv@menta.net> (Closes: #145038)

2004-07-15  Bastien Nocera  <hadess@hadess.net>

	* configure.in: fix gdk-pixbuf-csource's double identity (was not
	detecting gdk-pixbuf-csource-32 from gtk2-devel), detect and
	substitute glib-genmarshal's binary

2004-05-17  Sergey V. Udaltsov <svu@gnome.org>

	* Merged the preview tab branch. The module libkbdraw appended

2004-05-17  Jody Goldberg <jody@gnome.org>

	* configure.in : check for, but do not require nautilus libs.  These
	  is necessary if we move to the osx/ximian style shell.

2004-04-16  Jody Goldberg <jody@gnome.org>

	* configure.in : post branch release bump to 2.7.0

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-15  Jody Goldberg <jody@gnome.org>

	* configure.in : Force libxklavier 1.0.2 so that we can work with
	  x.org and xfree86

2004-04-14  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-08  Jody Goldberg <jody@gnome.org>

	* libbackground/applier.c (egg_pixbuf_new_from_file_at_size) :
	  disable translation until after gnome-2-6 branch

2004-04-01  Jody Goldberg <jody@gnome.org>

	* configure.in : We'll keep bumping it until we get it right

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-31  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.6.1.

2004-03-31  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.6.0.2.

2004-03-31  Thomas Vander Stichele  <thomas at apestaart dot org>

	* configure.in:
	* gnome-settings-daemon/actions/Makefile.am:
          check for GStreamer 0.8 properly
          make sure -gstreamer files get disted for gnome-settings-daemon
          re-enable GStreamer by default since #131316 got fixed

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-25  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-23  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-16  Jody Goldberg <jody@gnome.org>

	* configure.in : require libxklavier 1.0 to get a few crashers fixed

2004-03-11  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-28  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* help/es: Added Spanish help

2004-02-25  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Disable GStreamer by default until #131316 gets
	fixed

2004-02-25  Bastien Nocera  <hadess@hadess.net>

	* configure.in: check for GStreamer, make it possible to disable
	ALSA support even if the libraries are there

2004-02-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-07  Dennis Cranston  <dennis_cranston at yahoo com>

	* capplets/display/main.c: (create_dialog): Fix alignment of Options
	category. (#133715).

2004-02-17  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=133214
	* acinclude.m4 : quote the AC_DEFUN as per patch from
	  alexander.winston@comcast.net

	http://bugzilla.gnome.org/show_bug.cgi?id=124064
	* configure.in : add a test for ngettext.  Used the same test as
	  gnome-vfs for consitency.

2004-02-13  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-02-13  Jody Goldberg <jody@gnome.org>

	* schemas/Makefile.am : handle builddir != srcdir

2004-02-12  Mark McLoughlin  <mark@skynet.ie>

	* capplets/display/main.c: (cb_dialog_response):
	* capplets/localization/gnome-localization-properties.c:
	(dialog_response): update help links to point to user-guide.xml

2004-02-06  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* capplets/font/main.c: (sample_expose):
	* gnome-settings-daemon/gnome-settings-gtk1theme.c:
	(apply_settings):
	* vfs-methods/themus/theme-method.c:
	64bits fixes.

2004-02-03  Carlos Perelló Marín <carlos@gnome.org>

	* configure.in, capplets/Makefile.am: Removed the localization capplet
	references, it will wait until GNOME 2.7, it's too late for GNOME 2.6.

2004-01-18  Jason Leach  <leach@wam.umd.edu>

	* schemas/Makefile.am (install-data-local): builddir != srcdir fix.

2004-01-14  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-01-14  Bastien Nocera  <hadess@hadess.net>

	* schemas/apps_gnome_settings_daemon_keybindings.schemas.in:
	Change the labels for a couple of keys, make them more of the style
	of the current ones

2004-01-08  Carlos Perelló Marín <carlos@gnome.org>

	* configure.in: The localization capplet is disabled until we remove
	the libicu dependency.

2004-01-08  Jody Goldberg <jody@gnome.org>

	* configure.in : Damn, forgot to bump the version after to point release.

2004-01-05  Carlos Perelló Marín <carlos@gnome.org>

	* configure.in: Added a check for libicu and the needed lines to add
	the localization capplet.
	* capplets/Makefile.am: Added the localization dir.
	* capplets/localization: Added the localization capplet to change
	the locales.
	* po/POTFILES.in: Added new files from localization capplet.

2004-01-01  Rodney Dawes  <dobey@ximian.com>

	* configure.in: Require GTK+ 2.3.0
	  Fix --disable-vfs-methods to work

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Christian Neumair  <chris@gnome-de.org>

	* capplets/font/main.c: (application_font_to_gconf):
	* capplets/display/main.c: (timeout_string): Use ngettext for plurals
	(#125175).

2003-12-30  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-12-16  Jody Goldberg <jody@gnome.org>

	* capplets/file-types/file-types.desktop.in : remove the png so that
	  it can theme.

	* capplets/desktop-links/Makefile.am : remove .in.in path kludge.
	* capplets/desktop-links/Accessibility.directory.in :
	* capplets/desktop-links/Advanced.directory.in : ditto.

	* capplets/background/Makefile.am : no need to install capplet icon
	  anymore its part of the theme.
	* capplets/default-applications/Makefile.am :
	* capplets/font/Makefile.am  :
	* capplets/keybindings/Makefile.am :
	* capplets/keyboard/Makefile.am :
	* capplets/mouse/Makefile.am :
	* capplets/network/Makefile.am :
	* capplets/sound/Makefile.am :
	* capplets/theme-switcher/Makefile.am :
	* capplets/ui-properties/Makefile.am :
	* capplets/windows/Makefile.am :

	* capplets/accessibility/at-properties/Makefile.am :
	* capplets/accessibility/keyboard/Makefile.am :

	* capplets/background/background.desktop.in : Use the themed icon.
	* capplets/default-applications/default-applications.desktop.in :
	* capplets/font/font-properties.desktop.in :
	* capplets/keybindings/keybinding.desktop.in :
	* capplets/keyboard/keyboard.desktop.in :
	* capplets/mouse/gnome-settings-mouse.desktop.in :
	* capplets/network/gnome-network-preferences.desktop.in :
	* capplets/sound/gnome-settings-sound.desktop.in :
	* capplets/theme-switcher/gtk-theme-selector.desktop.in :
	* capplets/ui-properties/gnome-ui-properties.desktop.in :
	* capplets/windows/window-properties.desktop.in :
	* capplets/accessibility/at-properties/at-properties.desktop.in :
	* capplets/accessibility/keyboard/accessibility-keyboard.desktop.in :

2003-12-09  Kaushal Kumar  <kaushal.kumar@wipro.com>

	* capplets/display/main.c (create_dialog):
	  Fixed conflict in Alt-C mnemonic.
	  Bugzilla bug #125719.

2003-11-12  Jody Goldberg <jody@gnome.org>

	* Makefile.am : add a libgswitchit subdir

	* configure.in : Add a test to ensure the new virtual include of
	  libgswitchit is in place
	* configure.in : define LIBXKLAVIER_*
	* configure.in : include libgswitchit in SUBDIRS

2003-11-05  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=125970
	* configure.in : make x extension check more robust

2003-10-28  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-10-28  Jody Goldberg <jody@gnome.org>

	* configure.in : version bump to 2.5.0 for head

2003-10-28  Jody Goldberg <jody@gnome.org>

	* configure.in : Add libxklavier as a build requirement to prep people

2003-10-24  Kjartan Maraas  <kmaraas@gnome.org>

	* capplets/display/main.c: (create_screen_widgets): Merge
	fix for bug #125403 from stable.

Mon Sep  8 10:55:23 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: Release 2.4.0

2003-08-31  Jeff Waugh  <jdub@perkypants.org>

	* capplets/display/display-capplet.png: Not an apple.

2003-08-20  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" to ALL_LINGUAS
	
2003-08-18  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "hi" to ALL_LINGUAS.

2003-08-13  Malcolm Tredinnick <malcolm@commsecure.com.au>

	* gnome-network-preferences.glade: Allow ports up to 65535 to be
	specified in the proxy dialog box. Fixes bug #108930.

Tue Aug  5 17:51:13 2003  Jonathan Blandford  <jrb@redhat.com>

	* capplets/display/main.c: Patch from James T. Richardson, Jr
	<james@richardsons.us> to clean up the R and R capplet a little,
	#115629

Thu Jul 31 14:43:16 2003  Jonathan Blandford  <jrb@redhat.com>

	* typing-break/drw-monitor.c: remove unneeded #include <sys/vt.h>
	as it doesn't exist on Solaris.

2003-07-29  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* capplets/sound/sound.desktop.in:
	Use gnome-audio.png, not gnome-audio2.png for icon.

2003-07-29  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* capplets/accessibility/at-properties/.cvsignore:
	* vfs-methods/themus/.cvsignore:
	Quiet CVS.

	* vfs-methods/themus/Makefile.am:
	Add missing files to EXTRA_DIST. Fix distcheck.

	* gnome-settings-daemon/Makefile.am:
	Really don't ship generated files in tarball.

2003-07-24  Andrew Sobala  <aes@gnome.org>

	* Added libglade to themus configure check

2003-07-17  Richard Hult  <richard@imendio.com>

	* typing-break/main.c (main): Remove session stuff since g-s-d
	handles lifetime the cycle now.

2003-07-11  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS

2003-07-07  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-07-02  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=116568
	* gnome-settings-daemon/gnome-settings-xsettings.c
	(gnome_xft_settings_set_xresources) : generate values in locale C

2003-06-27  Richard Hult  <richard@imendio.com>

	* typing-break/drw-intl.h: Remove this and use gnome-i18n.h
	instead.

	* typing-break/Makefile.am: Remove drw-intl.h
	
	* typing-break/drwright.c:
	* typing-break/drwright.h:
	* typing-break/drw-break-window.c: Merge in changes from drwright.

Thu Jun 26 16:37:50 2003  Jonathan Blandford  <jrb@redhat.com>

	* Makefile.am (SUBDIRS): add typing-break to subdirs.

Thu Jun 26 07:38:45 2003  Jonathan Blandford  <jrb@gnome.org>

	* typing-break/drwright.c: added the typing break to CVS from
	drwright.

2003-06-24  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-06-15  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-06-03  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* .cvsignore:
	* capplets/common/.cvsignore:
	* schemas/.cvsignore:
	* vfs-methods/.cvsignore: Quiet cvs.

	* capplets/common/Makefile.am: fix parallel build.

	* capplets/common/gnome-theme-apply.c: add missing header.

2003-05-23  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "id" "th" to ALL_LINGUAS.

Tue May 20 19:14:19 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: 2.3.2 released.

Tue May 20 12:43:59 2003  Jonathan Blandford  <jrb@redhat.com>

	* configure.in (FONTILUS): add fontilus support.
	* vfs-methods/Makefile.am: add fontilus support.
	* vfs-methods/fontilus/Makefile.am: add fontilus support.

2003-05-14  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "sr" "sr@Latn" to ALL_LINGUAS.

2003-05-13  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: added themus support
	* configure.in:	added themus support
	* vfs-methods/Makefile.am: added

2003-05-12  Marco Pesenti Gritti  <marco@it.gnome.org>

	* capplets/file-types/service-info.c: (service_info_save),
	(service_info_delete):

	Set the enabled key for new services and unset it on delete

2003-05-07  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2003-05-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.1

2003-05-02  Ross Burton  <ross@burtonini.com>

	* configure.in: Generate the Makefile I added last night. Whoops.

2003-04-30  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Require 2.2.0 or newer of libgnomeui
	and gnome-desktop for the icon theme stuff. Fix from Spider and
	aes. Fixes bug #104907.

2003-04-23  Alexander Larsson  <alexl@redhat.com>

	* capplets/Makefile.am: 
	* configure.in:
	* capplets/display/*
	Check for XRandR support.
	Add display capplet.

2003-03-21  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "ml" in ALL_LINGUAS.

2003-03-10  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-03-04  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* capplets/network/gnome-network-preferences.c:
	(proxy_mode_radiobutton_clicked_cb):
        Set "system/proxy/use_http_proxy" GConf key
	when Manual or
        Auto is selected.


2003-02-22   Laurent Dhima  <laurenti@alblinux.net>
	
	* configure.in: Added 'sq' to ALL_LINGUAS
	
Thu Feb 13 18:51:37 2003  Jonathan Blandford  <jrb@redhat.com>

	* capplets/common/gconf-property-editor.c: (gconf_peditor_new):
	* capplets/common/gnome-theme-info.c: (read_meta_theme),
	(update_theme_index), (update_common_theme_dir_index),
	(top_theme_dir_changed), (top_icon_theme_dir_changed),
	(add_common_theme_dir_monitor), (real_add_top_theme_dir_monitor):
	* capplets/default-applications/gnome-default-applications-properti
	es.c: (initialize_default_applications), (read_editor),
	(read_terminal):
	* capplets/file-types/mime-edit-dialog.c: (fill_dialog):
	* capplets/file-types/mime-type-info.c: (load_all_mime_types):
	* capplets/file-types/mime-types-model.c:
	(mime_types_model_get_value):
	* capplets/font/main.c: (font_render_get_gconf), (enum_group_load):
	* capplets/mouse/gnome-mouse-properties.c: (read_cursor_font),
	(cursor_changed):
	* capplets/theme-switcher/gnome-theme-details.c:
	(window_theme_selection_changed):
	* capplets/theme-switcher/gnome-theme-manager.c:
	(meta_theme_selection_changed):
	* capplets/theme-switcher/theme-thumbnail.c:
	(generate_theme_thumbnail):
	* libsounds/sound-properties.c: (sound_properties_add_directory),
	(sound_properties_add_file):
	* libsounds/sound-view.c: (compare_func):
	* libwindow-settings/gnome-window-manager.c:
	(gnome_window_manager_new): Patch from Kjartan Maraas to fix a
	bunch of leaks.

Tue Feb  4 17:09:18 2003  Jonathan Blandford  <jrb@redhat.com>

	* Release 2.2.0.1
	* configure.in: 2.2.0.1

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

Tue Jan 21 13:20:00 2003  Bill Haneman        <bill.haneman@sun.com>	

        * gnoome-settings-daemon/gnome-settings-mouse.c:
	(set_locate_pointer): Change the AnyModifier passive grab
	of the Control keys to grabs on no modifier and on
	LockModifier. [Fix for bugzilla 104058.]
	
Tue Jan 21 01:15:14 2003  Jonathan Blandford  <jrb@gnome.org>	

	* Release 2.2.0

Thu Jan 16 02:41:09 2003  Jonathan Blandford  <jrb@gnome.org>

	* Release 2.1.7

2003-01-10  Jody Goldberg <jody@gnome.org>

	* configure.in : Post release bump

2003-01-10  Jody Goldberg <jody@gnome.org>

	* Release 2.1.6

2003-01-08  Rajkumar Sivasamy  <rajkumar.siva@wipro.com>

	* capplets/common/capplet-stock-icons.[ch]: Utility file to register 
	the images used by capplets as stock-icons

	* capplets/common/Makefile.am: Changes to include the above file

	* capplets/keyboard/gnome-keyboard-properties.c:
	* capplets/accessibility/keyboard/accessibility-keyboard.c:
	Use stock-icons

	* capplets/mouse/Makefile.am:
	* capplets/mouse/gnome-mouse-properties.c:
	Use stock-icons. Also register the icons through capplet-stock-icons.[ch]
	instead of doing it here.

	Fixes Bug 101977

2002-11-29  Remi Cohen-Scali  <remi@cohen-scali.com>

	Reviewed by: Jody Goldberg <jody@gnome.org>

	* capplets/theme-switcher/gnome-theme-manager.c (drag_data_received_cb):
	Add a test to detect is uri is local. If not use full URI instead
	of just the path in order to be able to download remote tarballs.
	Fixes #97983.

2003-01-05  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am) and Macedonian (mk) to ALL_LINGUAS

2002-12-30  Jody Goldberg <jody@gnome.org>

	* README : http://bugzilla.gnome.org/show_bug.cgi?id=100916

2002-12-18  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2002-12-18  Jody Goldberg <jody@gnome.org>

	* Release 2.1.5

2002-12-17  Alex Duggan  <aldug@gnome.org>

	* schemas/desktop_gnome_font_rendering.schemas.in: fixed more typos

2002-12-15  Andrew Sobala  <andrew@sobala.net>

	* schemas/desktop_gnome_font_rendering.schemas.in: fixed typos

2002-12-10  Chema Celorio  <chema@celorio.com>

	* configure.in: remove autoheader warnings, remove acconfig.h

2002-12-10  Dennis Cranston  <dennis_cranston@yahoo.com>
 
	* capplets/accessibility/keyboard/*.desktop.in:
	* capplets/background/*.desktop.in:
	* capplets/default-applications/*.desktop.in:
	* capplets/desktop-links/*.desktop.in:
	* capplets/file-types/*.desktop.in:
	* capplets/font/*.desktop.in:
	* capplets/keybindings/*.desktop.in:
	* capplets/keyboard/*.desktop.in:
	* capplets/mouse/*.desktop.in:
	* capplets/network/*.desktop.in:
	* capplets/sound/*.desktop.in:
	* capplets/theme-switcher/*.desktop.in:
	* capplets/ui-properties/*.desktop.in:
	* capplets/url-properties/*.desktop.in:
	* capplets/windows/*.desktop.in:
	* control-center/*.desktop.in: Add StartupNotify support to 
	the .desktop files.
	
2002-12-09  Jody Goldberg <jody@gnome.org>

	* configure.in (dnl) : bump the gtk req t ohandle havoc's metacity
	  changes.

Wed Dec  4 14:34:27 2002  Jonathan Blandford  <jrb@redhat.com>
 
	* capplets/accessibility/keyboard/*.desktop.in:
	* capplets/background/*.desktop.in:
	* capplets/default-applications/*.desktop.in:
	* capplets/desktop-links/*.desktop.in:
	* capplets/file-types/*.desktop.in:
	* capplets/font/*.desktop.in:
	* capplets/keybindings/*.desktop.in:
	* capplets/keyboard/*.desktop.in:
	* capplets/mouse/*.desktop.in:
	* capplets/network/*.desktop.in:
	* capplets/sound/*.desktop.in:
	* capplets/theme-switcher/*.desktop.in:
	* capplets/ui-properties/*.desktop.in:
	* capplets/url-properties/*.desktop.in:
	* capplets/windows/*.desktop.in:
	* control-center/*.desktop.in: Patch from Fernando Herrera
	<fherrera@onirica.com> to add X-GNOME-BUGZILLA stuff to all the
	.desktop files.

2002-12-02  Christian Neumair  <chris@gnome-de.org>

	* schemas/*.schemas: Removed
	* schemas/*.schemas.in: Added
	* schemas/Makefile.am: Various fixes (#89361).

2002-11-26  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added Tamil ("ta") to ALL_LINGUAS.

2002-11-24  Jody Goldberg <jody@gnome.org>

	* configure.in : post release bump

2002-11-23  Jody Goldberg <jody@gnome.org>

	* Release 2.1.3

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-11-02  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2002-11-02  Jody Goldberg <jody@gnome.org>

	* Release 2.1.2

2002-10-25  Rajkumar Sivasamy <rajkumar.siva@wipro.com>

	* configure.in: Check for GDK_PIXBUF_CSOURCE

2002-10-25  Marco Pesenti Gritti  <marco@it.gnome.org>
            Jorn Baayen  <jorn@nl.linux.org>

	* capplets/network/gnome-network-preferences.c:
	(cb_details_dialog_response), (cb_use_auth_toggled),
	(cb_http_details_button_clicked),
	(proxy_mode_radiobutton_clicked_cb), (connect_sensitivity_signals),
	(setup_dialog):
	* capplets/network/gnome-network-preferences.glade:

	Improve proxy capplet.

2002-10-21  Jody Goldberg <jody@gnome.org>

	* configure.in : post release version bump

2002-10-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.1

2002-10-16  Yanko Kaneti <yaneti@declera.com>

	* schemas/apps_gnome_settings_daemon_default_editor.schemas: reorder
	"key" and "applyto" elements so that it validates aginst the gconf dtd.

2002-10-01  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0.1

Fri Aug 23 00:15:47 2002  Jonathan Blandford  <jrb@gnome.org>

    * gnome-keybinding-properties.c (setup_dialog): use new X mode of
      the eggcellrendererkeys.
      
    * eggcellrendererkeys.[ch]: update from libegg.
	  
2002-08-21  Glynn Foster  <glynn.foster@sun.com>

	* configure.in: Don't put dnl's in AC_OUTPUT.

2002-08-21  Jody Goldberg <jody@gnome.org>

	* Release 2.1.0

2002-08-21  Jody Goldberg <jody@gnome.org>

	* configure.in : work around an intltool bug by having autoconf expand
	  something from the rootdir last.

2002-08-19  Jody Goldberg <jody@gnome.org>

	* gnome-settings-daemon/gnome-settings-gtk1theme.h : fix cut-n-paste-o

2002-08-19  Jody Goldberg <jody@gnome.org>

	* gnome-settings-daemon/gnome-settings-gtk1theme.c : new
	  file from owen to manage gtk1 themes.

2002-08-15  Jody Goldberg <jody@gnome.org>

	* configure.in : set the version number to something sane
	  we branched.

2002-08-07  Jody Goldberg <jody@gnome.org>

	* po/POTFILES.in : remove bogus file.

2002-08-09  Yanko Kaneti <yaneti@declera.com>

	* capplets/common/capplet-util.h: handle different cases of
	preprocessor macro varargs support.

2002-08-08  Seth Nickell  <snickell@stanford.edu>

	* capplets/Makefile.am:

	Actually hook the windows capplet into the build. Though
	its sort of ass right now.

2002-08-08  Seth Nickell <snickell@stanford.edu>

	Try my best to throw a monkey wrench in things. Checkin
	Windows capplet, and add window related settings to
	the font capplet and theme capplet.

	Also fix button alignments on all capplets.

2002-07-27  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add check for gtk+ with multihead
	support and define HAVE_GTK_MULTIHEAD if found.

2002-07-24  jacob berkman  <jacob@ximian.com>

	* configure.in: only #define HAVE_XFT2 if we actually have xft2

	* configure.in: fixup x11 checks when x11 include path is not in
	the default include path for the compiler

Tue Jul 23 23:31:17 2002  Owen Taylor  <otaylor@redhat.com>

	* capplets/font/main.c: Fix stupid typo.

Tue Jul 23 23:29:51 2002  Owen Taylor  <otaylor@redhat.com>

	* capplets/fonts/subpixel-{rgb,bgr,vrgb,vbgr}.c: Add
	some pixmaps for font rendering.

Tue Jul 23 22:35:10 2002  Owen Taylor  <otaylor@redhat.com>

	* acconfig.h configure.in: Check for Xft2.

	* capplets/font/main.c capplets/font/Makefile.am
	capplets/font/font-properties.glade: If XFt2 is present, 
	allow the user to control various font rendering attributes.

	* gnome-settings-daemon/gnome-settings-xsettings.c:
	Mirror the Xft rendering attributes from the font
	capplet to XSETTINGS and Xrdb.

	* schemas/Makefile.am schemas/desktop_gnome_font_rendering.schemas:
	Add schemas for the new GConf settings.

Tue Jul 23 22:06:08 2002  Owen Taylor  <otaylor@redhat.com>

	* capplets/keyboard/gnome-keyboard-properties.c: Fix 
	unterminated GConfEnumStringPair array.

	* gnome-settings-daemon/gnome-settings-default-editor.c:
	Fix some comments that had embedded /* which was causing
	GCC warnings.

2002-07-10  Jody Goldberg <jody@gnome.org>
	patch from Brian Cameron

	* configure.in : look for path to esound

2002-06-25  James Henstridge  <james@daa.com.au>

	* gnome-settings-daemon/Makefile.am: commented lines ending in a
	trailing backslash are not a good idea.

2002-06-18  jacob berkman  <jacob@ximian.com>

	* configure.in:
	* archiver/Makefile.am:
	* capplets/common/Makefile.am:
	* control-center/Makefile.am:
	* libbackground/Makefile.am:
	* libwindow-settings/Makefile.am:
	* root-manager/Makefile.am: fixup localedir to work with solaris
	gettext (fixes bug #83616)

2002-06-17  Jody Goldberg <jody@gnome.org>

	* Release 2.0.0

2002-06-04  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-02  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Create the .pc file for the window manager settings library.

2002-05-29  Bastien Nocera  <hadess@hadess.net>

	* Makefile.am: Jody forgot to remove help from the top-level
	Makefile.am as well, removed here

2002-05-29  Jody Goldberg <jody@gnome.org>

	* configure.in : Remove help and help/C

2002-05-16  jacob berkman  <jacob@ximian.com>

	* schemas/apps_gnome_settings_daemon_default_editor.schemas: add a
	key to turn off some behaviour

	* capplets/Makefile.am (always_built_SUBDIRS): 
	* configure.in: re-add default-applications

	fixes #78037

2002-05-14  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* configure.in:

	Move the window setting code into a seperate directory, libwindow-settings
	so it can be shared between the capplet and the settings daemon, and
	potentially, external window managers.
	
2002-05-12  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Require a new libglade.

2002-05-11  Jacob Berkman  <jacob@ximian.com>

	* capplets/Makefile.am (DIST_SUBDIRS): add windows

2002-05-11  Seth Nickell  <snickell@stanford.edu>

	* configure.in:

	Create the windows preference page makefile, and add gnome-desktop 
	to the generic module flags.

Wed May  8 17:54:57 2002  Jonathan Blandford  <jrb@redhat.com>

	* capplets/network/gnome-network-preferences.c: update schema keys
	to reflect the installed file.

2002-05-06  Rachel Hestilow  <hestilow@ximian.com>

	* configure.in: Bump version to 1.99.10

	* RELEASE: 1.99.10
	
2002-05-06  Anders Carlsson  <andersca@gnu.org>

	* schemas/Makefile.am: Doh! Remove the file from automake.

	* schemas/apps_gnome_keybinding_properties.schemas:
	We now hard-code the key list, so this isn't neede anymore.
	
2002-04-30  Anders Carlsson  <andersca@gnu.org>

	* capplets/network/gnome-network-preferences.desktop.in:
	Use a snazzier icon here.
	
2002-04-29  Rachel Hestilow  <hestilow@ximian.com>

	* configure.in: Bump version to 1.99.9

	* RELEASE: 1.99.9
	
2002-04-29  Rachel Hestilow  <hestilow@ximian.com>

	* configure.in: Bump version to 1.99.8

	* RELEASE: 1.99.8
	
2002-04-29  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): Added Vietnamese (vi)

2002-04-26  Seth Nickell  <snickell@stanford.edu>

	* capplets/Makefile.am:
	* configure.in:

	Re-enable building of font capplet.

2002-04-25  Jody Goldberg <jody@gnome.org>

	* gnome-settings-daemon/gnome-settings-keyboard.c
	(xfree86_set_keyboard_autorepeat_rate) : new.
	(xkb_set_keyboard_autorepeat_rate) : new.
	(apply_settings) : use them here.

2002-04-19  Mark McLoughlin  <mark@skynet.ie>

	* capplets/Makefile.am, configure.in: add
	capplets/gnome-network-preferences.

2002-04-21  Rachel Hestilow  <hestilow@ximian.com>

	* *.c: s/Richard/Rachel

	* configure.in: Bump version to 1.99.7

	* RELEASE: 1.99.7
	
2002-04-19  jacob berkman  <jacob@ximian.com>

	* COPYING: add

2002-04-17  Havoc Pennington  <hp@redhat.com>

	* configure.in (GNOMECC_DATA_DIR): rearrange quoting of these dirs
	so that "make bindir=/foo" works

2002-04-14  Rachel Hestilow  <hestilow@ximian.com>

	* capplets/ui-properties/behavior.desktop.in,
	  control-center/gnomecc.desktop.in: s/gnome2/gnome

2002-04-12  Mark McLoughlin  <mark@skynet.ie>

	* schemas/apps_gnome_keybinding_properties.schemas: change the
	panel keybindings keys to the new hyphen-less versions.

2002-04-11  jacob berkman  <jacob@ximian.com>

	* (various files): fix improper use of guint as GType

2002-04-10  Kevin Breit  <mrproper@ximian.com>

	* configure.in: Added the help/Makefile.am and help/C/Makefile.am.
	If the build breaks, look at this stuff.  It's not the first time
	I've killed the build.
	
	* Makefile.am: Made sure that help was in the SUBDIRS.  I don't
	want to break the build again. :/

2002-04-10  Rachel Hestilow  <hestilow@ximian.com>

	* configure.in:
	* capplets/Makefile.am (always_built_SUBDIRS): remove font

2002-04-10  jacob berkman  <jacob@ximian.com>

	* configure.in (AC_OUTPUT): remove
	capplets/theme-switcher/control/Makefile

Tue Apr  9 11:43:08 2002  Jonathan Blandford  <jrb@gnome.org>

	* capplets/accessibility/keyboard/Makefile.am: Change gnome2-* to
	gnome-*
	* capplets/default-applications/Makefile.am: ditto
	* capplets/file-types/Makefile.am: ditto
	* capplets/font/Makefile.am: ditto
	* capplets/keyboard/Makefile.am: ditto
	* capplets/mouse/Makefile.am: ditto
	* capplets/sound/Makefile.am: ditto
	* capplets/theme-switcher/Makefile.am: ditto
	* capplets/ui-properties/Makefile.am: ditto
	* control-center/Makefile.am: ditto
	* gnome-settings-daemon/Makefile.am: ditto

2002-04-05  jacob berkman  <jacob@ximian.com>

	* configure.ion (AC_OUTPUT): revert kevin's patch until help stuff
	actually builds

2002-04-05  Kevin Breit  <mrproper@ximian.com>

	* configure.in (dnl): Added help to the Makefile list.

2002-04-04  jacob berkman  <jacob@ximian.com>

	* configure.in (AC_OUTPUT): remove sawfish Makefile

2002-04-02  jacob berkman  <jacob@ximian.com>

	* configure.in: 
	* capplets/Makefile.am (always_built_SUBDIRS): remove
	default-applications

2002-03-28  jacob berkman  <jacob@ximian.com>

	* configure.in: add X libraries to link lines for things that make
	X calls (since pango/gtk don't pull those in for us)

Thu Mar 28 14:35:12 2002  Jonathan Blandford  <jrb@gnome.org>

	* configure.in (RELEASE): 1.99.6

2002-03-26  jacob berkman  <jacob@ximian.com>

	* capplets/Makefile.am (always_built_SUBDIRS): remove screensaver

	* capplets/screensaver/: remove as xscreensaver provides these
	things

	* configure.in: remove xscreensaver check again as xscreensaver
	supplies the .desktop file for itself
	(AC_OUTPUT): remove capplets/screensaver/Makefile

2002-03-26  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: The check for xscreensaver got removed, add it back
	in.

2002-03-26  jacob berkman  <jacob@ximian.com>

	* schemas/Makefile.am (schema_DATA): add new .schemas file

	* schemas/apps_gnome_settings_daemon_screensaver.schemas: settings
	for starting screensaver

Mon Mar 25 00:51:06 2002  Jonathan Blandford  <jrb@redhat.com>

	* configure.in (RELEASE): 1.99.5

Mon Mar 25 00:04:37 2002  Jonathan Blandford  <jrb@redhat.com>

	* capplets/keybindings/gnome-keybinding-properties.glade: Clean up
	UI a little.

2002-03-19  Richard Hestilow  <hestilow@ximian.com>

	* configure.in (COMMON_LIBS): Link to common.la and not common.a.

Sun Mar 17 23:26:02 2002  Jonathan Blandford  <jrb@gnome.org>

	* capplets/keybindings/eggcellrendererkeys.[ch]: sync to CVS.

2002-03-17  jacob berkman  <jacob@ximian.com>

	* capplets/keybindings/Makefile.am
	(gnome_keybinding_properties_SOURCES): add eggcellrendererkeys.h

2002-03-18  Zbigniew Chyla  <cyba@gnome.pl>

	* capplets/common/activate-settings-daemon.c (popup_error_message):
	Fixed compilation error.

Sun Mar 17 16:30:48 2002  Jonathan Blandford  <jrb@redhat.com>

	* capplets/keybindings/gnome-keybinding-properties.c
	(create_dialog): fix typo.

2002-03-17  Jonathan Blandford  <jrb@redhat.com>

	* Makefile.am: Add new Makefiles
	* configure.in: ditto
	* capplets/Makefile.am: Add keybindings dialog

	* capplets/keybindings/.cvsignore: shut up CVS

	* capplets/keybindings/Makefile.am:
	* capplets/keybindings/eggcellrendererkeys.c:
	* capplets/keybindings/eggcellrendererkeys.h:
	* capplets/keybindings/gnome-keybinding-properties.c: 
	* capplets/keybindings/gnome-keybinding-properties.glade: 
	* capplets/keybindings/keybinding.desktop.in:
	New properties dialog.  Seems to work

	* schemas/.cvsignore: shut up CVS

	* schemas/Makefile.am:
	* schemas/apps_gnome_keybinding_properties.schemas: New schemas
	file for configuring the keybinding schemas.
	* schemas/background.schemas: Remove unneeded schemas files
	* schemas/peripherals.schemas:
	* schemas/screensaver.schemas:

2002-03-11  Richard Hestilow <hestilow@ximian.com>

	* Committed patches by Lauris Kaplinski for bugs 73571, 73587,
	and 71613.
	
2002-03-11  jacob berkman  <jacob@ximian.com>

	* configure.in (AC_OUTPUT): 
	* Makefile.am (SUBDIRS): add idl/

2002-03-10  Havoc Pennington  <hp@pobox.com>

	* configure.in (ORBIT_IDL): define ORBIT_IDL and IDL flags so
	gnome-settings-daemon will build

2002-03-08  Richard Hestilow <hestilow@ximian.com>

	* RELEASE: 1.99.4

2002-03-05  jacob berkman  <jacob@ximian.com>

	* configure.in (EXTRA_CFLAGS): remove -I intl

2002-03-05  Richard Hestilow <hestilow@ximian.com>

	* configure.in: AC_SUBST GNOMECC_CFLAGS and GNOMECC_LIBS.

2002-03-05  jacob berkman  <jacob@ximian.com>

	* configure.in: using $GETTEXT_PACKAGE-2 is redundant

2002-02-27  Kjartan Maraas  <kmaraas@gnome.org>

	* root-manager/root-manager-helper.c: s/PACKAGE/GETTEXT_PACKAGE/g
	* configure.in: Add missing AC_DEFINE_UNQUOTED so that GETTEXT_PACKAGE
	ends up in config.h. Also s/PACKAGE/GETTEXT_PACKAGE/g
	
2002-02-23  Kjartan Maraas  <kmaraas@gnome.org>

	* capplets/default-applications/gnome-default-applications-properties.glade:
	Remove translatable="yes" from icon labels. Remnant of a bug in
	libglade-convert. (Thanks to James).
	* capplets/file-types/file-types-properties.glade: Same
	* capplets/keyboard/gnome-keyboard-properties.glade: Same
	* capplets/mouse/gnome-mouse-properties.glade: Same.
	* capplets/ui-properties/gnome2-ui-properties.glade: Same
	* control-center/gnomecc.glade: Same
						
2002-02-22  Kjartan Maraas  <kmaraas@gnome.org>

	* root-manager/root-manager-wrap.c: Remove calls to deprecated
	functions gtk_visual_push|pop_visual().
	
2002-02-17  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove deprecated GNOME_COMMON_INIT,
	GNOME_PLATFORM_GNOME_2, fix warnings macros.

2002-02-14  Richard Hestilow  <hestilow@ximian.com>

	* Committed slackware compilation patch from
	fflewddur@dropline.net.

2002-02-11  Richard Hestilow  <hestilow@ximian.com>

	* Committed instant-apply patch sans background.

2002-02-11  Richard Hestilow  <hestilow@ximian.com>

	* control-center/Makefile.am: Move splashdir to gnomecc-2.

	* Makefile.am: Remove idl from subdirs.

	* configure.in: Bump version to 0.9.3.

	* RELEASE - 0.9.3
	
2002-02-10  Richard Hestilow  <hestilow@ximian.com>

	* Added font capplet.

2002-02-07  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): Added "ko" back, after converting
	it to UTF-8 encoding.

Thu Feb  7 00:20:38 2002  Jonathan Blandford  <jrb@redhat.com>

	* configure.in (GETTEXT_PACKAGE): remove ko from ALL_LINGUAS as it
	seems to be broken.

2002-02-05  jacob berkman  <jacob@ximian.com>

	* configure.in (GETTEXT_PACKAGE): change to be parallel
	installable

	* control-center2.png:
	* Makefile.am (pixmap_DATA): rename to be parallel installable

2002-01-28  Richard Hestilow <hestilow@ximian.com>

	* po/POTFILES.in: Remove panel.desktop.in.in.

2002-01-28  Seth Nickell  <snickell@stanford.edu>

	* control-center/capplet-dir.c: (capplet_new), (capplet_dir_new),
	(capplet_dir_entry_destroy), (read_entries),
	(get_root_capplet_dir):
	* control-center/capplet-dir.h:

	Read control center directory structure out of GnomeVFS instead of
	directly off the disk.

	Also deal with pixmaps more uniformly, and properly load them
	out of PREFIX/share/pixmaps when they aren't an absolute path.
	
	* capplets/desktop-links/Sawfish/appearance-properties.desktop.in:
	* capplets/desktop-links/Sawfish/bindings-properties.desktop.in:
	* capplets/desktop-links/Sawfish/focus-properties.desktop.in:
	* capplets/desktop-links/Sawfish/match-properties.desktop.in:
	* capplets/desktop-links/Sawfish/maximize-properties.desktop.in:
	* capplets/desktop-links/Sawfish/meta-properties.desktop.in:
	* capplets/desktop-links/Sawfish/misc-properties.desktop.in:
	* capplets/desktop-links/Sawfish/move-properties.desktop.in:
	* capplets/desktop-links/Sawfish/placement-properties.desktop.in:
	* capplets/desktop-links/Sawfish/sound-properties.desktop.in:
	* capplets/desktop-links/Sawfish/workspace-properties.desktop.in:
	* capplets/ui-properties/behavior.desktop.in.in:

	Add a Categories Field.

	* capplets/desktop-links/Makefile.am:
	* capplets/desktop-links/Sawfish/Makefile.am:
	* capplets/file-types/Makefile.am:
	* capplets/theme-switcher/Makefile.am:
	* capplets/ui-properties/Makefile.am:
	* control-center/Gnome.directory.in.in:
	* control-center/Makefile.am:

	Install directory files into PREFIX/share/gnome/vfolders, the standard
	vfolder description location.
	
2002-01-28  Richard Hestilow <hestilow@ximian.com>

	* configure.in: Bump version to 1.99.2.

	* RELEASE: 1.99.2

2002-01-28  Laszlo Peter  <laca@ireland.sun.com>

	* archiver/location.c: s/__FUNCTION__/G_GNUC_FUNCTION/
	* capplets/common/capplet-util.c: ditto
	* capplets/common/capplet-util.h: ditto
	* libbackground/preferences.c: ditto
	* applets/common/wrapper-script.in: change "test $x == y" to
	  "test $x = y" for portability

2002-01-27  Richard Hestilow <hestilow@ximian.com>

	* Makefile.am (CLEANFILES): Rename as MAINTAINERCLEANFILES.
	
Tue Jan 22 16:20:21 2002  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: Keep ACLOCAL_FLAGS around, and actually use the
	gnome-vfs cflags/libs.

2002-01-21  Richard Hestilow <hestilow@ximian.com>

	* Remerge control-center-plus.

2002-01-21  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.ini: Added Malay (ms)to ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-01-21  Anders Carlsson  <andersca@gnu.org>

	* schemas/peripherals.schemas: motion_threshold is supposed
	to be an int.

2002-01-17  Jakub Steiner <jimmac@ximian.com>

	* control-center.png: fixed the anti-aliasing of the wrench

2002-01-16  Kevin Breit  <mrproper@ximian.com>

	* help/C/gnome-control-center.sgml: Removed this file
	
	* help/C/control-center.sgml: Added this file

2002-01-15  Richard Hestilow <hestilow@ximian.com>

	* (Many "make distcheck" fixes).

2002-01-14  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am (CLEANFILES): Add this line

	* capplets/Makefile.am (always_built_SUBDIRS): Compile common first

	* configure.in (INSTALL_GCONF_CONFIG_SOURCE): Use control-center-2
	for data directory

Tue Jan  8 15:00:27 2002  Jonathan Blandford  <jrb@redhat.com>

	* configure.in (XF86MISC_LIBS): we now depend on esound.

2002-01-07  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Whoops, delete those invalid-dnl'ed lines. This
	is part of my use-xscreensaver-demo patch.

2002-01-04  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Add libgnomeui dependency to daemon
	(it needs gnome-client).

2002-01-04  Mikael Hallendal  <micke@codefactory.se>

	* configure.in: added
	capplets/default-applications/default-applications.desktop.in to
	AC_OUTPUT.

2002-01-03  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in (AC_OUTPUT): Remove schemas/Makefile

	* Makefile.am (SUBDIRS): Remove schemas

2001-12-20  Bradford Hovinen  <hovinen@ximian.com>

	* schemas/Makefile.am (schema_DATA): Add background, screensaver
	files
	(install-data-local): Allow specification of multiple schema files

	* configure.in (GNOMECC_DESKTOP_DIR): Define
	(GNOMECC_DATA_DIR): Define
	Remove AC_DEFINE_UNQUOTED for the rest of the directories

	* schemas/Makefile.am (EXTRA_DIST): Add

	* configure.in: Removed capplets/sound/Makefile

	* Makefile.am (SUBDIRS): Put gnome-settings-daemon after
	libbackgrounds

	* capplets/Makefile.am (always_built_SUBDIRS): Add common,
	background, keyboard, mouse back in

	* configure.in (PKG_CHECK_MODULES): Remove lines pertaining to the
	archiver, add line for gnome settings daemon

Sun Dec  9 19:24:47 2001  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: use gconf macros.

Sat Dec  8 21:33:10 2001  Jonathan Blandford  <jrb@redhat.com>

	* gnome-settings-daemon/gnome-settings-daemon.c (main): Import
	from gconf-xsettings module.  Cleaned up a bunch, and made to work
	with mouse properties too.

	* schemas/peripherals.schemas: New location for schemas.  Need to
	write many more.

2001-12-09  Gediminas Paulauskas <menesis@delfi.lt>

	* *.c (main): retrieve translation in utf-8 codeset. Do not
	setlocale ().
	* some Makefile.am (INCLUDES): remove intl.
	(..._LDADD): remove INTLLIBS

2001-12-08  Havoc Pennington  <hp@pobox.com>

	* configure.in (COMMON_MODULES): add gnome-desktop-2.0 to CFLAGS,
	add AC_PROG_INTLTOOL

2001-12-08  Richard Hestilow  <hestilow@ximian.com>

	* capplets/Makefile.am: Remove bonobo subdirs so people
	stop yelling at us.

2001-12-08  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Add special gconf defines (gconftool, etc).
	
2001-12-01  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Add libsounds stuff.
	* Makefile.am (SUBDIRS): Add libsounds.

Fri Nov 30 15:35:39 2001  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Added AM_GLIB_GNU_GETTEXT and
	setting of GETTEXT_PACKAGE.

	* Makefile.am: Change from xml-i18n-extract (etc.)
	to intltool-extract (etc.)

2001-11-29  Miles Lane <miles@megapathdsl.net>

	* configure.in: Removed intl/Makefile from AC_OUTPUT
	since there is no intl subdirectory in the repository.

2001-11-29  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Disabled archiver

	* Makefile.am (SUBDIRS): Disabled archiver

2001-11-28  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Remove gtkhtml-2.0 check since we no longer
	depend on it.

2001-10-27  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Bump version to 1.99.0

2001-10-26  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Remove intl from SUBDIRS

	* */Makefile.am: s/XML_I18N_MERGE/INTLTOOL/g

	* capplets/Makefile.am: Remove screensaver from
	always_built_SUBDIRS and add $(SCREENSAVER) to SUBDIRS

	* capplets/{background|keyboard|mouse|sound}/Makefile.am:
	Fix so that automake does not choke on these files

	* README: Updated to reflect current status porting to GNOME 2

	* configure.in: Cleanup for GNOME 2 port
	Allow disabling of screensaver capplet compile if xscreensaver
	is not found
	(AC_OUTPUT): Removed dnl capplets/rollback/Makefile as it caused
	some difficulties

2001-10-23  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Added zh_CN for Simplified Chinese.

2001-10-18  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/Makefile.am (always_built_SUBDIRS): Put common in
	always_built_SUBDIRS

	* configure.in (dnl): Remove --enable-bonobo-conf option

2001-10-11  Israel Escalante  <israel@ximian.com>

	* configure.in: Bump version to 1.5.10

2001-10-11  Israel Escalante  <israel@ximian.com>

	* configure.in (gnome_cv_use_gnome): Bump requirement for
	gtkhtml >=0.15.0 and version to 1.5.9. Committed patch
	from peter@ximian.com to fix some build issues.

2001-10-07  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in (ALL_LINGUAS): added lv

2001-10-02  Jakub Steiner <jimmac@ximian.com>

	* control-center.png: new application icon

2001-09-28  Israel Escalante  <israel@ximian.com>

	* configure.in: Bump requirements to bonobo-conf 0.12

2001-09-28  Richard Hestilow  <hestilow@ximian.com>

	* control-center/capplet-dir-view-html.c:
	Committed patch from Carlos Perelló Marín <carlos@gnome-db.org>
	to handle UTF-8 correctly. Sorry it took so long; it got lost in
	my mailbox.

2001-09-27  Chema Celorio  <chema@celorio.com>

	* configure.in (capplet_modules): bum the requirements for gal >= 0.12
	and version to 1.5.8

2001-09-10  Chema Celorio  <chema@celorio.com>

	* configure.in (GNOMECC_PIXMAPS_DIR): substite ${prefix}/share with {datadir}
	thanks peter@ximian.com

2001-09-09  Wang Jian  <lark@linux.net.cn>

	* configure.in(ALL_LINGUAS): Removed zh_CN.GB2312.

2001-09-07  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/Makefile.am (always_built_SUBDIRS): Added rollback

2001-09-04  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Use ${real_prefix}/share rather than ${datadir},
	etc.

	* acconfig.h: Add GNOMECC_DEFAULTS_DIR

	* configure.in (GNOMECC_DEFAULTS_DIR): Define this here

2001-08-29  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.7

2001-08-23  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.6

2001-08-22  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Bump version to 1.5.6

2000-08-22  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-21  Bradford Hovinen  <hovinen@ximian.com>

	* idl/ConfigArchiver.idl: Added exception RollbackDataNotFound
	Added exception LocationNotFound

2000-08-18  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): Added Nynorsk (nn) and Walloon (wa)

2001-08-13  Chema Celorio  <chema@celorio.com>

	* configure.in (Configuration): remove (XST)

2001-08-10  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.5

2001-08-10  Aaron Weber  <aaron@ximian.com>

	* help/: New directory: help and documentation.
	* help/C/: New directory: English help and documentation.
	* help/C/figures: New directory: figures for English help and docs.
	* help/C/gnome-control-center.sgml: New file. Empty SGML skeleton.
	
2001-08-09  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Check for xscreensaver and perl, and
	generate capplets/screensaver/magic.pl.

2001-08-07  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Corect behavior when prefix is not explicitly
	specified

2001-08-02  Jason Leach  <jleach@ximian.com>

	* configure.in: Give a better URL for pkgconfig.

2001-07-30  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.4

	* configure.in: Bump libcapplet dependency to 1.5.4

2001-07-30  Richard Hestilow  <hestilow@ximian.com>

	* control-center.png: Added.
	
	* Makefile.am: install control-center.png

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.3

	* configure.in: Bump version to 1.5.3

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* RELEASE : 1.5.2

2001-07-27  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in (capplet_modules): Update version dependency for
	libcapplet to 1.5.2

2001-07-26  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in (AC_ARG_ENABLE): Fix problem where meaning of
	--enable-bonobo-conf was the opposite of what it should have been
	(CC_USE_BONOBO_CONF): Stupid, stupid autoconf

2001-07-25  Chema Celorio  <chema@celorio.com>

	* configure.in (PKG_BONOBO_CONF_CHECK): update the requirements for
	bonobo_conf to 0.9 since we now depend on it
 
2001-07-25  Chema Celorio  <chema@celorio.com>

	* configure.in (BONOBO_CHECK): remove the --enable-bonobo-conf and replace with
	--disable-bonobo-conf. The default is now with bonobo-conf

2001-07-25  Chema Celorio  <chema@celorio.com>

	(capplet_modules): add bonobo_conf back. 

2001-07-25  Chema Celorio  <chema@celorio.com>

	* configure.in (GNOMECC_CAPPLETS_OAF_FILE_IN_RULE): scape correctly the
	OAF_FILE_IN_RULE, it was not escaped before but for some reason it didn't
	generated and error

	* capplets/Makefile.am (SUBDIRS): we need to build LIBCOMMON_DIR
	before the capplets cause the capplets link with ../common/libcommon.a

2001-07-25  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Remove IMLIB check
	(GNOMECC_CAPPLETS_DESKTOP_IN_RULE): Add sed expression to cover
	macro DESKTOP_EXEC_LINE
	(LIBCOMMON_DIR): Add option --enable-bonobo-conf

	* all: Added support for optionally compiling without bonobo-conf enabled

2001-07-25  Chema Celorio  <chema@celorio.com>

	* configure.in (dnl): remove the sawfish dir

2001-07-24  Chema Celorio  <chema@celorio.com>

	* configure.in (dnl): add a new sed line that adds the full path to the Exec line
	in the .desktop files. It is commented out for now cause gnoemcc is not apreciating
	full paths.

2001-07-20  Chema Celorio  <chema@celorio.com>

	* RELEASE : 1.5.0

2001-07-19  Chema Celorio  <chema@celorio.com>

	* configure.in: make distcheck love

2001-07-19  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Bump to version 1.5.0

2001-07-19  Chema Celorio  <chema@celorio.com>

	* Makefile.am: remove Gnome.directory from here

2001-07-18  Chema Celorio  <chema@celorio.com>

	* configure.in (capplet_modules): gtkhtml 0.9 is enough

2001-07-18  Chema Celorio  <chema@celorio.com>

	* configure.in (GNOMECC_SCREENSAVERS_DIR): define GNOMECC_SCREENSAVERS_DIR
	(dnl): remove the check for bonobo-conf and check in the PKG_CONFIG macro
	(capplet_modules): add versions that we require

2001-07-17  Chema Celorio  <chema@celorio.com>

	* configure.in: define the directories

	* capplets/background/Makefile.am (SUBDIRS): clean

	* configure.in (gnome_cv_use_gnome): clean the macro

2001-07-17  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in (AC_OUTPUT): Disabled rollback capplet

	* capplets/Makefile.am (always_built_SUBDIRS): Disabled rollback
	capplet compile

2001-07-17  Chema Celorio  <chema@celorio.com>

	* acconfig.h: define GNOMECC_ICONS_DIR

	* configure.in (vers): requre pkg-config 0.8.0
	(GNOME_CONTROL_CENTER_ICONS_DIR): add
	(GNOMECC_CAPPLETS_CFLAGS): define

2001-07-16  Richard Hestilow  <hestilow@ximian.com>
	
	* configure.in: Create Makefile in capplets/desktop-links/Sawfish.

2001-07-16  Richard Hestilow  <hestilow@ximian.com>

	* configure.in: Create Makefiles in capplets/desktop-links and
	capplets/default-applications.

	* capplets/desktop-links: Added.

	* capplets/default-applications: Added.

2001-07-14  Carlos Perelló Marín <carlos@gnome-db.org>

	* *.directory: Renamed to *.directory.in to be used with
	xml-i18n-tools.
	* *.desktop: Renamed to *.desktop to be used with xml-i18n-tools.
	* *.glade: Modified to not generate the glade.h files.
	* *.glade.h: Removed.
	* Makefile.am: Modify to use xml-i18n-tools
	* configure.in: ditto.
	* autogen.sh: ditto, now we use the macros/autogen.sh

2001-07-13  Chema Celorio  <chema@celorio.com>

	* configure.in (capplet_modules): wait, we don't need gnome-vfs

	* autogen.sh (PKG_NAME): check for capplets/common/capplet-util.h

	* configure.in (capplet_modules): pkgconfig 0.8.0 now handles
	gnome-vfs. No need to call gnome-vfs-config.

2001-07-13  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/Makefile.am (always_built_SUBDIRS): Add common

	* configure.in (AC_OUTPUT): Add capplets/common/Makefile

2001-07-12  Chema Celorio  <chema@celorio.com>

	* configure.in (vers): bump pkg-confi to version 0.8.0. Version
	7 was doing strange things.

2001-07-12  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Add check for the correct version of bonobo-conf 
	Bump version number to 1.3.10

2001-07-12  Chema Celorio  <chema@celorio.com>

	* configure.in (CONFIG_ARCHIVER_INCLUDEDIR): the root manager is
	disabled for now

2001-07-11  Richard Hestilow  <hestilow@ximian.com>

	* configure.in (capplet_modules): Look for libcapplet, not
	libcapplet2.

2001-07-10  Chema Celorio  <chema@celorio.com>

	* capplets/Makefile.am (EXTRA_DIST): remove ChangeLog as
	we have now one ChangeLog per capplet

2001-07-09  Bradford Hovinen  <hovinen@ximian.com>

	* Makefile.am: Added Gnome.directory and installation routine

2001-07-07  Chema Celorio  <chema@celorio.com>

	* configure.in (capplet_modules): add bonobo and bonobox
	
2001-07-07  Chema Celorio  <chema@celorio.com>

	* configure.in (vers): require pkg-config 0.7.0 since
	0.6.0 is brOKeN

2001-07-05  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in (GNOMECC): Remove libcapplet
	Add XIMIAN_ARCHIVER_{LIBDIR|LIBS|INCLUDEDIR}
	Bump version number to 1.3.2
	(capplet_modules): Use libglade-gnome rather than libglade

	* Makefile.am (SUBDIRS): Put po after capplets so that the build
	doesn't screw up

	* capplets/Makefile.am: Removed rules pertaining to
	sound-properties

	* capplets/sound-properties-capplet.c (set_moniker_cb): Change
	BonoboPropertyEditor to BonoboPEditor

	* configure.in: Update AC_INIT to use correct directory name
	(AC_OUTPUT): Update to current directory structure

	* Makefile.am (SUBDIRS): Update to current directory structure

	* capplets/Makefile.am (always_built_SUBDIRS): Updated to current
	directory structure

2001-07-03  Bradford Hovinen  <hovinen@ximian.com>

	* archiver/Makefile.am (bonobo_moniker_archiver_LDADD): Use @...@
	rather than $(...) for pkg-config's sake

	* capplets/Makefile.am (INCLUDES): Use correct location for Glade
	data
	Added sound-properties.glade, sound-properties.desktop

2001-07-03  Richard Hestilow  <hestilow@ximian.com>
	
	* configure.in: Add PKG_CHECK_MODULES for SCREENSAVER_CAPPLET.

2001-06-29  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/Makefile.am (bin_PROGRAMS): Add target for
	sound-properties-capplet
	(INCLUDES): Install from new-sound-properties

	* configure.in (CAPPLET_{CFLAGS|LIBS}): Add bonobo_conf to each

2001-06-27  Richard Hestilow  <hestilow@ximian.com>
	
	* configure.in: Check for pkg-config >= 0.6.0 without the use of
	a macro -- people were having issues with older versions with
	no macros.

2001-06-21  Havoc Pennington  <hp@redhat.com>

	* configure.in: switch to using pkg-config to find things

	* capplets/*/Makefile.am: clean up crufty flags, adapt to
	configure.in changes

2001-06-21  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-*/main.c (main): Abort if prefs structure is NULL
	when editing outside the current location. Fixes crash when bad
	XML data are supplied.

	* capplets/new-*/main.c (do_set_xml): Fix to use correct
	termination condition and g_string API

2001-06-20  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-*/main.c (do_set_xml): Don't save unless
	apply_settings is set

2001-06-20  Richard Hestilow  <hestilow@ximian.com>

	* capplets/new-background-properties/applicer.c
	(get_geometry): Handle properly the case where centered/tiled
	image is larger than the screen/preview.

2001-06-20  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-background-properties/applier.c
	(is_nautilus_running): Fixed nitems check
	(set_root_pixmap): Passing -1 makes the function just set the
	pixmap to what it was

2001-06-18  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-*/main.c (do_set_xml): Use read () rather than
	fread () to make sure to catch end-of-file. Gracefully handle
	no-data case.

2001-06-12  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-mouse-properties/main.c (ok_cb):
	(cancel_cb): Add #ifdef HAVE_XIMIAN_ARCHIVER around some parts
	missing it

2001-06-07  Christian Rose  <menthos@menthos.com>

	* capplets/desktop-links/Appearances.directory,
	capplets/desktop-links/Multimedia.directory,
	capplets/desktop-links/Peripherals.directory,
	capplets/desktop-links/UIOptions.directory,
	capplets/gnome-edit-properties/gnome-edit-properties.desktop,
	capplets/mime-type/mime-type.desktop,
	capplets/new-ui-properties/behavior.desktop,
	capplets/screensaver-properties/screensaver-desktops/
	screensaver-properties.desktop,
	capplets/sound-properties/sound-properties.desktop,
	capplets/theme-switcher/theme-selector.desktop:
	Modified Swedish entry.

2001-05-05  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Add check for libximian_archiver; try include
	cflags and libs only if the archiver is present *
	capplets/*/main.c: Add #ifdef's around anything that uses the
	Ximian archiver so that the capplets can compile without it

2001-05-03  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/*/main.c (main): Handle --get-defaults
	(do_restore_from_defaults): Implement

	* capplets/*/preferences.c (preferences_init): Load default values

2001-04-27  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/wm-properties/wm-list.c (wm_read_from_xml): Make
	desktop-entry an attribute rather than a child node

	* capplets/*/main.c: Do not try to load preferences from XML if
	there was not XML data

2001-04-24  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/*/main.c:
	* capplets/*/preferences.c: Support --location

2001-04-24  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/Makefile.am (always_built_SUBDIRS): Compile in
	new-screensaver-properties

2001-04-24  Anna Marie Dirks <anna@ximian.com> 
	* capplets/interfaces/control-center.glade: This is the initial mockup of my reorganization of control center's menus; I'm committing it to garner input. This file includes separate menus for simple, intermediate and advanced modes; it does not include any graphics (yet).  

2001-04-14  Bradford Hovinen <hovinen@ximian.com>

	* capplets/*/main.c: Don't apply settings if editing settings
	outside the current location

2001-04-13  Bradford Hovinen <hovinen@ximian.com>

	* capplets/*/main.c: Read XML from stdin if --location is passed

2001-04-12  Bradford Hovinen <hovinen@ximian.com>

	* capplets/*/main.c: Support --location command line option to
	edit settings in a location different from the current one

	* capplets/*/preferences.[ch]: Support multi-level freezing and
	thawing, so that we can permanently disable applying changes

2001-03-29  Anna Marie Dirks <anna@ximian.com> 
	* capplets/interfaces: added this directory to store gladed mockups of new capplets. 
	* capplets/pixmaps: added this directory to store the supporting images for the capplet mockups. 

	* capplets/interfaces/background-capplet-mockup.glade: initial version of the new and improved background capplet. i still need to figure out exactly which labels to use where (ie, "alignment" is not really correct). 

	* capplets/pixmaps/athens-bg.png: graphic used to demonstrate how/where the preview should go in the new background capplet. 


2001-03-18  Ravi Pratap  <ravi@che.iitm.ac.in>

	* control-center/capplet-widget.h (CAPPLET_WIDGET_CLASS): Correct
	to cast to CappletWidgetClass

	* capplets/wm-properties.c (store_archive_data): add
	(ok_callback): Modify to store settings using wm_list_save 

	* capplets/gnome-edit-properties.c (edit_apply): Modify to call
	store_archive_data before exiting.
	(current_info): Add new global variable to hold current state.

2001-03-15  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-*/main.c: Added code to store archive data with the
	ximian archiver

2001-03-13  Chema Celorio  <chema@celorio.com>

	* capplets/gnome-edit-properties/gnome-edit-properties.c:
	s/gEdit/gedit

2001-01-29  Fatih Demir	<kabalak@gmx.net>

	* idl/.cvsignore & libcapplet/.cvsignore: Added these
		files.

2001-01-27  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-background-properties/applier.c
	(applier_apply_prefs): Disable wallpaper in new_prefs structure,
	not structure passed to function

2001-01-26  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-background-properties/main.c
	(do_restore_from_defaults): Implement. Creates a preferences
	object with factory defaults and saves and applies those changes.

2001-01-26  Marius Andreiana  <mandreiana@yahoo.com>

	* *.desktop, *.directory : Added ro (Romanian) translation
	
2001-01-25  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in ([BG_]CAPPLET_{CFLAGS|LIBS}): Add ximian_archiver

	* capplets/new-background-properties/main.c (store_archive_data):
	Implement
	(ok_cb): Call store_archive_data

2001-01-25  jacob berkman  <jacob@ximian.com>

	* root-manager/root-manager.c (main): add a \n to the usage
	message

	* root-manager/root-manager-wrap.c: change some g_print's to
	fprintf to stderr

2001-01-24  Bradford Hovinen  <hovinen@ximian.com>

	* capplets/new-background-properties/preferences.c
	(preferences_read_xml): Fix typo in adjust-opacity part

	* capplets/new-background-properties/main.c (do_set_xml): Apply
	preferences as well as saving them

2001-01-24  jacob berkman  <jacob@ximian.com>

	* new-control-center/*.[ch]: new (temporary) html view and bug
	fixication
	
	* root-manager/*.[ch]: gnomeify dialogs and other cleanups

	* configure.in: flags for root-manager-helper

2001-01-17  jacob berkman  <jacob@ximian.com>

	* root-manager/Makefile.am
	* root-manager/root-manager.h: fix finding the root-manager

2001-01-24  Bradford Hovinen  <hovinen@ximian.com>

	* configure.in: Added ROLLBACK_CAPPLET_{CFLAGS|LIBS} for the
	rollback capplet
	(ROLLBACK_CAPPLET_LIBS): Typo fix
	(AC_OUTPUT): Added capplets/rollback/Makefile

2000-12-29  Kjartan Maraas  <kmaraas@gnome.org>

	* capplets/new-background-properties/background-properties.glade:
	Fix typo.
	
2000-12-26  Jacob "Ulysses" Berkman  <jacob@helixcode.com>

	* root-manager/root-manager.c: tool based on usermode /
	consolehelper to launch setup tools with root privaleges

	* capplets/new-ui-properties/ui-properties.glade: merged the 3
	capplets into one

	* capplets/new-background-properties/background-properties.glade:
	re-did the UI a bit.  The code doesn't yet work correctly.

	* configure.in: add checks for libcapplet and fixup directories

	* Makefile.am: remove libcapplet and add root-manager

2000-12-22  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/new-background-properties/applier.c
	(renderer_render_wallpaper): Prescale the pixbuf before a tiled
	composite

2000-12-21  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/new-background-properties/applier.c (set_root_pixmap):
	Check if nitems is 1, not 4
	(set_root_pixmap): Do a sanity check on the old pixmap before
	freeing it

2000-12-18  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/new-background-properties/applier.c
	(renderer_render_wallpaper): Change the meaning of brightness to
	mean opacity
	(tile_composite): Implement
	(render_gradient_p): Return TRUE if the opacity should be adjusted

	* capplets/new-background-properties/prefs-widget.c: Change
	instances of brightness to refer to opacity

	* capplets/new-background-properties/preferences.c: Ditto

2000-12-17  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/new-background-properties/applier.c
	(renderer_render_wallpaper): Add support for adjusting wallpaper
	brightness

	* capplets/new-background-properties/main.c (ok_cb):
	(cancel_cb): Disconnect ok, cancel handler signals before
	destroying preferences widget
	(setup_capplet_widget): Set signal handler ids for ok, cancel
	signals

	* capplets/new-background-properties/prefs-widget.c
	(prefs_widget_init): Connect signals for adjusting brightness
	(adjust_brightness_toggled_cb): 
	(brightness_adjust_changed_cb):
	(set_brightness_controls_sensitive): Implement

	* capplets/new-background-properties/preferences.h (struct
	_Preferences): Add adjust_brightness, brightness_value

	* capplets/new-background-properties/preferences.c (preferences_load): 
	(preferences_save): 
	(preferences_read_xml): 
	(preferences_write_xml): Support adjust_brightness, brightness_value

	* capplets/new-background-properties/prefs-widget.c
	(wallpaper_entry_changed_cb): Don't fail if prefs is NULL, just
	return

	* capplets/new-background-properties/main.c (ok_cb): 
	(cancel_cb): Properly destroy the preferences widget

	* capplets/new-background-properties/prefs-widget.c
	(prefs_widget_destroy): Implement

	* capplets/new-background-properties/preferences.c
	(preferences_changed): Increased delay before autoapply
	(preferences_load):
	(preferences_save): Use string rather than bool for auto_apply

	* capplets/new-background-properties/prefs-widget.c
	(auto_apply_toggled_cb): Implement
	(read_preferences): 
	(prefs_widget_init): Support auto_apply

	* capplets/new-background-properties/preferences.h (struct
	_Preferences): Add auto_apply 
	* capplets/new-background-properties/preferences.c
	(preferences_write_xml):
	(preferences_read_xml):
	(preferences_load):
	(preferences_save): Support auto_apply
 	
	* capplets/new-background-properties/applier.c (struct _Renderer):
	Added srcx, srcy to clip wallpaper when it is too big
	(get_geometry): Set srcx and srcy
	(renderer_render_to_screen): Tweak rendering geometry to stay
	within the wallpaper area on the drawable

	* capplets/new-background-properties/prefs-widget.c
	(wallpaper_entry_changed_cb): Make sure the file specified is
	actually a file

	* capplets/new-background-properties/main.c (do_set_xml): Default
	NULL for buffer

	* capplets/new-background-properties/applier.c
	(is_nautilus_running): Return if there is no Nautilus window
	property

2000-11-23  Stanislav Brabec  <utx@penguin.cz>

	* */*/*.desktop, */*/*.directory: Remove trailing dot in english
	strings containing menu name or tooltip (discussed in gnome-i18n
	list). Updated cs.

2000-10-21  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/new-background-properties/applier.c (set_root_pixmap):
	If the passed pixmap is None, delete the root pixmap properties
	and don't try to set the background on the root window
	(is_nautilus_running): Implement. Return TRUE iff Nautilus is
	running, FALSE otherwise
	(applier_apply_prefs): If Nautilus is running and we are rendering
	to the root pixmap, just remove the root pixmap window property
	(renderer_render_to_screen): Set root pixmap to None (i.e.,
	destroy root pixmap) if we're rendering a solid background to the
	root window
	(is_nautilus_running): Fix only_if_exists parameters for XInternAtom

2000-10-16  Stanislav Brabec  <utx@penguin.cz>

	* capplets/new-screensaver-properties/screensavers/Makefile.am:
	Created noinst_DATA, to not fail in po.

2000-10-14  Bradford Hovinen  <hovinen@helixcode.com>

	Courtesy John B Tunison <jtunison@andrew.cmu.edu>:
	* capplets/*/Makefile.am (INCLUDES): Put
	-I$(top_srcdir)/libcapplet before everything else

2000-10-11  Stanislav Brabec  <utx@penguin.cz>

	* */*/*.desktop: Remove trailing dot in english strings containing
	menu name or tooltip (discussed in gnome-i18n list).
	Updated cs.

2000-10-09  Christophe Merlet  <christophe@merlet.net>

	* capplets/*/*.desktop: Updated exec entry when necessary.
	Updated french strings.

2000-10-08  Bradford Hovinen  <hovinen@helixcode.com>

	* configure.in: Bumped version no to 1.3.1

	* capplets/new-mouse-properties/Makefile.am (EXTRA_DIST): Remove
	erroneous ChangeLog entry

	* capplets/new-background-properties/Makefile.am (EXTRA_DIST): Add
 	translation file

	* capplets/new-bell-properties/Makefile.am (EXTRA_DIST): ditto

	* capplets/new-mouse-properties/Makefile.am (EXTRA_DIST): ditto

	* capplets/new-ui-properties/Makefile.am (EXTRA_DIST): ditto

	* capplets/new-mouse-properties/preferences.c
 	(preferences_apply_now): Apply change by Eric Dorland
 	<dorland@lords.com> to use XGetPointerMapping

	* configure.in (CFLAGS): Update list of Makefiles

	* capplets/Makefile.am (always_built_SUBDIRS): Build new
	sound-properties-capplet rather than old one

2000-10-06  Bradford Hovinen  <hovinen@helixcode.com>

	* configure.in (AC_OUTPUT): Update list of Makefiles

2000-09-24  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/new-ui-properties/preferences.c
 	(preferences_clone): Copy dialog_use_icons field

	* capplets/new-ui-properties/prefs-widget-dialogs.c: Use standard
	macro for dialog_icons

	* capplets/new-ui-properties/prefs-widget.h
 	(struct _widget_desc_t): Remove field prefs_offset

	* capplets/new-ui-properties/preferences.c
 	(preferences_get_dialog_icons): 
	(preferences_set_dialog_icons): Implement

	* capplets/new-ui-properties/prefs-widget.c (read_preferences): 
	(register_callbacks): 
	(toggled_cb): 
	(selected_cb): Remove support for direct struct offset manipulation

	* capplets/Makefile.am (always_built_SUBDIRS): Change
	ui-properties to new-ui-properties

2000-09-12  Bradford Hovinen  <hovinen@helixcode.com>

	* configure.in (CFLAGS): Set CFLAGS to -O2 -g -Wall by default

2000-09-10  Bradford Hovinen  <hovinen@helixcode.com>

	* libcapplet/capplet-widget.h (struct _CappletWidget):
	(struct _CappletWidgetClass): Add buffer to make sure class is
 	binary compatible with older library

	* libcapplet/capplet-widget.c (capplet_widget_class_init): Attach
 	capplet_widget_realize (renamed capplet_widget_show) to "show"
 	method
	(capplet_widget_destroy): Accept a GtkObject
	(capplet_widget_show): Accept a GtkWidget
	(capplet_widget_destroy): 
	(capplet_widget_state_changed): 
	(capplet_widget_show): 
	(ok_cb): 
	(cancel_cb): 
	(set_controls_sensitive): Add assertion checks on preconditions
	(capplet_widget_init): Removed unused variables
	Removed undo_cb, about_cb, id_list

	* capplets/new-background-properties/prefs-widget.c 
	(read_preferences): Set gradient/wallpaper/background controls'
	sensitivity depending on whether they are enabled

	* capplets/new-background-properties/applier.c 
	(renderer_render_to_screen): Fixed solid, no wallpaper case to
	work correctly with preview window; don't set root pixmap if
	neither wallpaper nor gradient enabled

	* all: Chnaged #include "config.h" to #ifdef HAVE_CONFIG_H ...
	* *.desktop, *.directory: Updated French translations
	* po/POTFILES.in: Added screensaver XML files

	Courtesy of Christophe Merlet <c.merlet@agglo-pau.fr>

2000-08-23  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/wm-properties/Makefile.am (INCLUDES): 
	(wm_properties_capplet_LDADD): Add XML cflags/libs
	
	* capplets/wm-properties/wm-properties-capplet.c (do_get_xml): 
	(do_set_xml): Implement
	(main): Call do_{get|set}_xml() on --get and --set

	* capplets/wm-properties/wm-list.c (wm_read_from_xml): 
	(wm_list_read_from_xml): 
	(wm_write_to_xml): 
	(wm_list_write_to_xml): Implement

2000-08-18  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/keyboard-properties/Makefile.am (INCLUDES): 
	(keyboard_properties_LDADD): Add XML cflags/libs

	* capplets/keyboard-properties/keyboard-properties.c 
	(keyboard_read_from_xml): 
	(keyboard_write_to_xml): 
	(do_get_xml): 
	(do_set_xml): Implement
	(main): Invoke do_get_xml() and do_set_xml() on --get and --set

	* capplets/gnome-edit-properties/gnome-edit-properties.c
	(edit_read): Only do combo box stuff if no_gui flag is not set
	(edit_read): If no_gui flag set, search through possible_editors
	manually and set original_info.name that way

	* capplets/gnome-edit-properties/Makefile.am (INCLUDES): 
	(gnome_edit_properties_capplet_LDADD): Add XML cflags/libs

	* capplets/gnome-edit-properties/gnome-edit-properties.c 
	(edit_read_from_xml): 
	(edit_write_to_xml): 
	(do_get_xml): 
	(do_set_xml): Implement
	(main): Call do_get_xml/do_set_xml when --get and --set passed

	* capplets/bell-properties/bell-properties.c (read_from_xml):
	Check if root node is correct before reading

	* capplets/bell-properties/Makefile.am (INCLUDES): 
	(bell_properties_capplet_LDADD): Added XML cflags/libs

	* capplets/bell-properties/bell-properties.c (do_get_xml): 
	(do_set_xml): Implement.
	(main): Call above functions on --get and --set
	(read_from_xml): 
	(write_to_xml): Implement

	* configure.in: Check for putenv and setenv and set appropriate
	macros in config.h

	* capplets/background-properties/app-background.c (main): Call
	do_set_xml and do_get_xml when --get or --set detected

	* capplets/background-properties/property-background.c 
	(background_read_from_xml): 
	(background_write_to_xml): Implement. Read/write XML snapshot of
	the system's current state
	(get_color): Implement. Read a color represented as a string and
	fill in a GdkColor structure
	(do_get_xml): 
	(do_set_xml): Implement. Do operations required for a --get and
	--set, respectively

	* capplets/background-properties/Makefile.am (INCLUDES): Add XML_CFLAGS
	(background_properties_capplet_LDADD): Add GNOME_XML_LIB

Tue Aug  8 10:11:40 2000  Bradford Hovinen  <hovinen@helixcode.com>

	* capplets/keyboard-properties/keyboard-properties.c (keyboard_read):
	(keyboard_apply): Make sure XFree86 keyboard extension is present
	before using it to read and apply settings

2000-06-16  Karl Eichwalder  <ke@suse.de>

	* capplets/gnome-edit-properties/gnome-edit-properties.desktop:
	Improve `de'.

2000-06-12 Pauli Virtanen <pauli.virtanen@saunalahti.fi>

	* finnish translation update: 
	capplets/desktop-links/Documents.directory
	capplets/desktop-links/Session.directory
	capplets/desktop-links/UIOptions.directory
	capplets/gnome-edit-properties/gnome-edit-properties.desktop
	capplets/screensaver-properties/screensaver-desktops/screensaver-properties.desktop
	capplets/screensaver-properties/screensaver-properties.desktop
	capplets/session-properties/session-properties.desktop
	capplets/sound-properties/sound-properties.desktop
	capplets/ui-properties/dialogs.desktop
	capplets/ui-properties/mdi.desktop
	capplets/ui-properties/ui-properties.directory
	capplets/url-properties/url-properties.desktop
	capplets/wm-properties/wm-properties.desktop
	control-center/gnomecc.desktop

2000-04-15  Fatih Demir	<kabalak@gmx.net>

	* configure.in : Added tr to ALL_LINGUAS .

2000-04-10  Fatih Demir	<kabalak@gmx.net>

	* *.desktop : Added [tr] ...
	
	* capplets/desktop-links/*.directory : Added [tr] ..

2000-04-08  Pablo Saratxaga <pablo@mandrakesoft.com>

	* *.desktop: added Lithuanian strings from Gediminas Paulauskas

2000-03-29  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): Add Lithuanian (lt)

2000-03-27  Karl EICHWALDER  <ke@suse.de.de>

	* capplets/mime-type/mime-info.c: Add some more dots to messages.

2000-03-27  Karl EICHWALDER  <ke@suse.de>

	* configure.in (ALL_LINGUAS): Add ca, el, hr, and uk. Sort
	alphabetically.

2000-02-06  Iain Holmes  <ih@csd.abdn.ac.uk>

	* configure.in: Add check for Libglade.

2000-01-31  Yuan-Chung Cheng <platin@linux.org.tw>

        * /po/zh_CN.GB2312.po: Added po file from TLCDT
        * configure.in: Added zh_CN.GB2312 po entry

2000-01-13  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: Massive changes to build system to permit
	gnome-2.0 compilation.  From here on out, you need gnome-2.0 or
	greater installed.

2000-01-07  Mikael Djurfeldt  <mdj@thalamus.nada.kth.se>

	* capplets/background-properties/property-background.c
	(fill_monitor): Corrected centering of image so that it works also
	for images larger than the root window.

1999-12-23  Matthias Warkus  <mawa@iname.com>

	* capplets/desktop-links/Multimedia.directory: use right icon

1999-11-10  Jonathan Blandford  <jrb@redhat.com>

	*
	capplets/screensaver-properties/screensaver-desktops/Makefile.am:
	new desktop entries.

1999-10-24  Ruben Lopez  <ryu@mundivia.es>

	* Added Galician language (gl.po)
	* Updated configure.in to support this language

1999-10-05  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: 1.0.51 released.

1999-09-30  Jonathan Blandford  <jrb@redhat.com>

	* capplets/wm-properties/wm-properties-capplet.c
	(show_restart_info): forgot to I18N this.

	* capplets/bell-properties/bell-properties.c (bell_setup): removed
	some of the most bogus code I've seen in a while.

1999-09-29  Jonathan Blandford  <jrb@redhat.com>

	* capplets/wm-properties/wm-properties-capplet.c
	(show_restart_info): Give people the option to save right away.

1999-09-28  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: 1.0.50

	* capplets/wm-properties/wm-properties-capplet.c (select_row): now
	we set the sensitivity of the edit-button correctly.

1999-09-28  Kjartan Maraas  <kmaraas@online.no>

	* configure.in: Added "ro" to ALL_LINGUAS.
	
1999-09-24  Rodrigo Stulzer Lopes <rodrigo@conectiva.com.br>

	* configure.in: added Brazilian Portuguese (pt_BR) translations
	* *.desktop:    added Brazilian Portuguese (pt_BR) translations

1999-09-21  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* .cvsignore: ignore my_control_center_idl

1999-09-20  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: 1.0.40 released...

	* capplets/screensaver-properties/callbacks.c (destroy_callback):
	remember to setenv () when we fork for the preview stage.

1999-09-20  Anders Carlsson  <anders.carlsson@tordata.se>

	* capplets/sound-properties/sound-properties.c: Removed "Category"
	  column from CTree and added an icon to the "Play" button.

1999-09-20  Richard Hult  <rhult@hem2.passagen.se>

	* capplets/*/*.desktop: Updated Swedish desktop entries.
	
1999-09-17  Lauris Kaplinski  <lauris@ariman.ee>

	* *.desktop Added Estonian tranlations.

1999-09-17  Jonathan Blandford  <jrb@redhat.com>

	* capplets/theme-switcher/gui.c (update_theme_entries): fix
	revert-bug where hitting cancel right away caused the font to
	change.

1999-09-09  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/parser.c
	(get_screensaver_widget): Missed a NULL at the end of a
	g_strconcat.  I wonder how this worked before.  Thanks to Morten
	Welinder <terra@diku.dk> for pointing this out.

1999-08-31  Iain Holmes  <iain@webtribe.net>

	* capplets/mime-type/mime-data.c: A change is now updated in the main
	clist.

	* capplets/mime-type/edit-window.c: Ability to edit the extensions for
	a mime-type.

1999-09-07    <jrb@redhat.com>

	* capplets/mime-type/mime-type-capplet.c: Patch added from Iain
	Holmes <iain@webtribe.net> to add the ability to edit mime-type
	extensions.

1999-09-03  Zbigniew Chyla  <chyla@alice.ci.pwr.wroc.pl>

        * *.desktop: Added Polish translations.

1999-09-02  Elliot Lee  <sopwith@redhat.com>
	* capplets/*/*.c, control-center/{callbacks.c,capplet-widget.c}:
	  If help isn't found, display an error message.
	
1999-09-01  Elliot Lee  <sopwith@redhat.com>
	* capplets/gnome-edit-properties/gnome-edit-properties.c:
	When reverting, store the executable name, not the viewed name.

1999-08-29  Karl Eichwalder  <ke@suse.de>

	* capplets/theme-switcher/gui.c (make_main): Add gettext marks
	again.

1999-08-29  Karl Eichwalder  <ke@suse.de>

	* capplets/mime-type/mime-data.c: Add some missing dots in mesage
	strings.

1999-08-28  Karl Eichwalder  <ke@suse.de>

	* capplets/theme-switcher/gui.c (make_main): Remove gettext marks.

1999-08-27  Elliot Lee  <sopwith@redhat.com>

	* control-center/capplet-widget-libs.c: If we're in a nest of main
 	loops (e.g. modal dialogs or something), do bad hacks to make sure
 	capplets exit properly.

        /* This gross hack is here because just doing gtk_main_quit()
           won't exit a modal dialog that has popped up in a capplet,
           but at the same time just doing exit() won't let some
           capplets (e.g. wm-properties) do their preference saving in
           the post-gtk_main() part of main() -ECL */

           Also cleanup the symbol names a little & make stuff static when possible.

1999-08-21  Pablo Saratxaga <srtxg@chanae.alphanet.ch>

	* applets/screensaver-properties/screensaver-desktops/*.desktop
	added catalan language descriptions from
	Ivan Vilata i Balaguer <al011097@alumail.uji.es>

1999-08-17  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: 1.0.6 Released.

1999-08-16  Kjartan Maraas  <kmaraas@online.no>

	* *.desktop: The control-center now speaks Norwegian fluently.
	
1999-08-16  Jonathan Blandford  <jrb@redhat.com>

	* Patch from Chyla Zbigniew <chyla@alice.ci.pwr.wroc.pl> to
	gettextize everything.  Sorry translators...

1999-08-13  Changwoo RYU  <cwryu@adam.kaist.ac.kr>

	* capplets/wm-properties/wm-desktops/*.desktop: Inserted
	Korean-translated strings.

1999-08-09  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* capplets/mime-type/edit-window.c (initialize_main_win_vals): For
	easier i18n, used g_strdup_printf() instead of g_strconcat().

1999-08-04    <jrb@redhat.com>

	* capplets/theme-switcher/demo.c (demo_main): move the new menubar.

1999-08-03 Elliot Lee <sopwith@redhat.com>
	* capplets/screensaver-properties/callbacks.c:
	  Simplify the execution of the screensaver demo thingies, and add
	  /usr/X11R6/lib/xscreensaver to the PATH just before exec so we catch
	  the Red Hat Linux-installed ones.

1999-07-14  Jonathan Blandford  <jrb@redhat.com>

	* capplets/mime-type/edit-window.c (initialize_main_win_vals):
	Patch from Fabrice.Bellet@imag.fr for i18n and portability.

1999-06-22    <jrb@redhat.com>

	* capplets/theme-switcher/lister.c (print_standard_stuff): made
	"~/" be gnome_util_user_home instead.

1999-06-16    <jrb@redhat.com>

	* capplets/theme-switcher/demo.c (demo_main): patch from Akira
	Higuchi (a-higuti@math.sci.hokudai.ac.jp) to handle I18N in the
	preview window.

1999-06-15  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* */*.desktop: Added Portuguese translations.

1999-06-15    <jrb@redhat.com>

	* capplets/screensaver-properties/parser.c (parse_key): make ANSI
	C Compliant.

	* capplets/background-properties/property-background.c
	(background_apply): ditto

	* capplets/background-properties/property-background.c
	(color_setup): don't add it twice.

1999-06-14    <rwb197@ecs.soton.ac.uk>

	* capplets/wm-properties/wm-desktops/Makefile.am, 
	capplets/wm-properties/wm-desktops/Scwm.desktop :
	added Scwm window manager (bug #811)

1999-06-14    <jrb@redhat.com>

	* capplets/screensaver-properties/callbacks.c (revert_callback):
	fix problem with default screensaver locking the screen
	inappropriately.

	* capplets/screensaver-properties/screensaver-properties-capplet.c
	(main): ditto.

1999-06-08    <jrb@redhat.com>

	*capplets/gnome-edit-properties/gnome-edit-properties.c (struct
	_EditorDescription): fix the fact that gnomecc thinks that the
	capplet has changed, even when it hasn't.
	
	capplets/screensaver-properties/screensaver-desktops/Forest.desktop (Flag): typo fix.

1999-06-03  James Henstridge  <james@daa.com.au>

	* capplets/screensaver-properties/screensaver-properties-capplet.c:
	When setting the dpms settings for the X server, use
	gnome_config_get_int to retrieve the user setting rather than
	gnome_config_get_string.  Before, it was adding together two
	pointers, multiplying the value by 60 and casting it as an int :)

1999-05-04  Tuomas Kuosmanen  <tigert@gimp.org>

	* capplets/bell-properties/bell-properties.desktop: Icon for keyboard
	bell menu..

	* capplets/keyboard-properties/keyboard-properties.desktop: Icon for 
	keyboard properties menu..

1999-05-02  Tuomas Kuosmanen  <tigert@gimp.org>

	* capplets/wm-properties/wm-properties.desktop
	* capplets/theme-switcher/theme-selector.desktop 
	* capplets/background-properties/background-properties.desktop
	* capplets/screensaver-properties/screensaver-properties.desktop:
	Added icons for the .desktop files (to show up in panel menus and 
	desktop if dragged there)

1999-04-16  Matthias Warkus  <mawa@iname.com>

	* capplets/desktop-links/*.directory: Updated German translations.

1999-04-14    <jrb@redhat.com>

	* capplets/screensaver-properties/screensaver-properties-capplet.c
	(main): if "No Screensaver" selected, don't show it.

1999-04-14  Matthias Warkus  <mawa@iname.com>

	* capplets/*/*.desktop: Completed [de] translations.

1999-04-13  Jonathan Blandford  <jrb@redhat.com>

	* capplets/mime-type/mime-data.c (write_mime_foreach): many many
	changes.  Now you can really add a mime-type.
	
1999-04-12  Mark Crichton  <crichton@gimp.org>

	* capplets/mime-type/mime-type.desktop:
	Added missing (??) [fi] to Finnish name translation

1999-04-09  Jonathan Blandford  <jrb@redhat.com>

	* capplets/wm-properties/wm-properties-capplet.c (wm_setup):
	Prettified the capplet a little.

1999-04-10  Alex Roberts  <bse@dial.pipex.com>

	* capplets/screensaver-properties/screensaver-desktops/: Added 
	  Gl screensavers:
	  	Atlantis, Pipes, Bubble3d, Lament, Rubik, Moebius,
	  	Sproingies, Superquadratics, Gears, Morph3d, Cage,
	  	Stairs, GLPlanet.
	  (These are the ones in the current xscreensaver-gl deb package)
	
	* capplets/screensaver-properties/callbacks.c: Commented out
	  HAVE_REDHAT_XSCREENSAVER_RPM (i forget who told me about that,
	  someone in #Gnome..)
	  	
1999-04-03  Ettore Perazzoli  <ettore@comm2000.it>

	* capplets/wm-properties/wm-properties-capplet.c
	(restart_label_update): Made i18n-aware.
	(update_gui): Likewise.
	(restart_failure): Likewise.
	(create_dialog): Likewise.
	(check_dialog): Likewise.
	(edit_dialog): Likewise.
	(delete): Likewise.
	(main): Likewise.

	* capplets/screensaver-properties/callbacks.c
	(handle_list_change): Replace the `... settings' hack with a more
	i18n-friendly one.

	* capplets/background-properties/property-background.c
	(fill_monitor): Made i18n-aware.

	* capplets/e-conf/e-conf.c (main): Initialize i18n stuff.
	(add_kb): Gettextize action text.
	(update_current_kb): Likewise.
	(add_actions): Likewise.
	(__setup_pane_13): Gettextize titles.
	(e_create_icon_option): Gettextize tooltips.

	* capplets/wm-properties/wm-properties-capplet.c (create_dialog):
	Made i18n-aware.
	(check_dialog): Likewise.
	(edit_dialog): Likewise.
	(add_dialog): Likewise.
	(delete): Likewise.
	(wm_setup): Likewise.
	(main): Likewise.
	(restart_label_update): Likewise.
	(update_gui): Likewise.
	(restart_failure): Likewise.

1999-04-01  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/parser.c (set_color): Patch by
	Adrian Hosey <ahosey@burningchrome.com> to allow selecting color.
	Used by Maze.desktop now, and possibly more later.

	* capplets/background-properties/property-background.c
	(browse_wallpapers): added preview when browsing.

	* configure.in: upped the version to 1.0.5

	* capplets/screensaver-properties/parser.c
	(init_screensaver_data): Fixes the Default setting problem.

	* capplets/screensaver-properties/callbacks.c (create_list):
	little bug that caused big problems.

	* capplets/screensaver-properties/screensaver-desktops/Makefile.am
	(ssdata_DATA): added new xscreensaver-3.08 screen hacks.

1999-03-31  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/callbacks.c (create_list): 
	add try-exec like functionality to the screensaver list.  This can
	be made more sophisticated in the future.

	* capplets/theme-switcher/gui.c,lister.c,da.h: Now you can set the
	font!

1999-03-27  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* capplets/screensaver-properties/parser.c (get_entry): free tem
	using free(), it's allocated with strdup.

1999-03-26  Jonathan Blandford  <jrb@redhat.com>

	* capplets/mime-type/mime-type-capplet.c (main): oops -- should be
	mime-type-capplet, not mouse-capplet.  Thanks to Jacob Berkman
	<jberkman@andrew.cmu.edu> for pointing this out

1999-03-22  Jonathan Blandford  <jrb@redhat.com>

	* capplets/theme-switcher/gui.c (click_entry): bug fix.  Now we
	can try again after a revert.

1999-03-26  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* capplets/gnome-edit-properties/gnome-edit-properties.c
	(entry_changed) renamed to combo_changed.
	(edit_setup): connect combo_changed() to both entry's activate
	and list's selection_changed signals.
	(edit_read): g_strdup text from entry. otherwise it is changed
	as the entry changes. g_free() it at appropriate places.	

1999-03-23  Martin Baulig  <martin@home-of-linux.org>

	* capplets/wm-properties/wm-list.c (wm_list_init): First look
	at `default.wm/Default/WM' before `$(datadir)/default.wm' for
 	the default WM so the gnome-wm script can write the chosen WM
	there.

1999-03-22  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/: removed print statements.

	* configure.in: 1.0.4 packaged for dist.

Sun Mar 21 01:33:55 CST 1999 Frank Belew <frb@umr.edu>
	* capplets/gnome-edit-properties/gnome-edit-properties.c:
	  added Nedit to the list

Tue Mar 16 17:54:04 1999 Timur Bakeyev <mc@bat.ru>

	* capplets/wm-properties/wm-list.c: Add missed #include <sys/types.h>

1999-03-15  Jonathan Blandford  <jrb@redhat.com>

	* capplets/mime-type/: No more warnings.

	* capplets/mime-type/mime-info.c (write_initial_keys): Now we
	explicitly remove then recreate the file, so that we can guarantee
	that the mime-type gets reread.

1999-03-14  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/callbacks.c (screensaver_load):
	We want to turn dpms off by default.

	* capplets/mime-type: Okay.  I think this is
	useable.  Putting it up for generic circulation.

Fri Mar 12 12:06:18 1999  Owen Taylor  <otaylor@redhat.com>

	* capplets/wm-properties/wm-exec.c (start_do): Decrease
	time for starting from 20 seconds to 10 seconds.

	* capplets/wm-properties/wm-properties-capplet.c (add_dialog): 
	Track selected row properly on adds and deletes.

	* capplets/wm-properties/wm-properties-capplet.c: Fix
	bug where wm-properties capplet wouldn't exit upon
	succesful completion.

Fri Mar 12 10:53:10 1999  Owen Taylor  <otaylor@redhat.com>

	* capplets/theme-switcher/main.c (main): Wait for
	our child to exit before quitting. The prevents
	us from pulling the socket window out from under
	our child.

	* capplets/theme-switcher/demo.c (demo_main): Clean
	up some warnings about types in formats.

	* capplets/theme-switcher/demo.c (demo_main): Exit
	cleanly if read from parent fails - don't drop
	a core.

Fri Mar 12 02:21:55 1999  Owen Taylor  <otaylor@redhat.com>

	* capplets/theme-switcher/gui.c (browse_dialog_close):
	Add an error dialog if installing a theme fails.

	* capplets/theme-switcher/install.c (install_theme): Add
	a return value indicating success or failure.

	* capplets/theme-switcher/install.c (install_theme): 
	Fixed reversed arguments for installing ungipped tarballs

Fri Mar 12 01:12:15 1999  Owen Taylor  <otaylor@redhat.com>

	[ Patch from Patrik Nordebo <isildur@a39.ryd.student.liu.se> ]

	* capplets/theme-switcher/install.c (install_theme): Removed
	useless call to wait(). Install themes in .themes,
	not .gtk/themes.

Fri Mar 12 01:06:53 1999  Owen Taylor  <otaylor@redhat.com>

	* capplets/theme-switcher/lister.c (edit_file_to_use): Fixed
	reversed lines that were causing initial creation
	not to work properly.

	* capplets/theme-switcher/demo.c (send_reread): You
	can't fsync() a pipe...

	* capplets/theme-switcher/gui.c: Don't select list
	items before they are added to the list ... removed
	hack that sort of worked around this.
	
	* capplets/theme-switcher/gui.c (make_main): Major
	un-rasterization. (Sort of a shame, this was some
	of the funniest code I've ever seen.)

	* capplets/theme-switcher/gui.c (install_theme_callback):
	Removed non-functional transient-for code.

	* capplets/theme-switcher/demo.c (demo_data_in): Removed
	brutal, unreliable kill -9 in favor of noticing when
	the IPC pipe closes.

	* capplets/theme-switcher/demo.c (demo_main): Solved
	problem where dup2() was going astray by not using it.

	* capplets/theme-switcher/gui.c (update_theme_entries): Fix
	cut-and-paste typo.

1999-03-10  Jonathan Blandford  <jrb@redhat.com>

	* capplets/Makefile.am (always_built_SUBDIRS): mime-type capplet.
	New capplet added.

1999-03-10  Chris Lahey  <clahey@umich.edu>

	* capplets/gnome-edit-properties/gnome-edit-properties.c: Updated
	this to do proper loading with the old value.  It also has a "Run
	In Terminal" button now.

1993-03-09  Owen Taylor  <otaylor@redhat.com>

	* capplets/background-properties/property-background.c:
	Fixed code for setting root window properties so it:

	 - Doesn't call gdk_property_get() with the arguments in 
	   the wrong order.
	 - Doesn't leak its pixmaps 
	 - Doesn't leak anything else. (I.e., use a separate
	   connection, instead of calling XSetCloseDownMode
	   on GDK_DISPLAY())
	 - Doesn't make a messy, unsucessful attempt at committing suicide
	 - Handles tiled pixmaps properly.

1999-03-08  Jaka Mocnik  <jaka.mocnik@kiss.uni-lj.si>

	* capplets/gnome-edit-properties/gnome-edit-properties.c (main):
	set the combo to the value read.
	
1999-03-02  Martin Baulig  <martin@home-of-linux.org>

	* capplets/wm-properties/wm-list.c (wm_list_init): Read the
	default WM from $(datadir)/default.wm rather than using the
	first one from the list.

1999-02-28  Martin Baulig  <martin@home-of-linux.org>

	* capplets/background-properties/app-background.c: Added some
	`--background-image' command line argument hack to set the
	background image.

1999-03-01  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* capplets/sound-properties/sound-properties.c
	(sound_properties_create): Made the N_()'ed strings be translated
	really.

	* capplets/sound-properties/sound-properties.c (main): Inserted
	bindtextdomain() and textdomain().

	* capplets/bell-properties/bell-properties.c (bell_setup): Marked
	a translatable string with _().

	* capplets/*/{*.desktop, *.directory}: Added/Updated Korean
	translation.

1999-02-27 Shooby Ban <bansz@szif.hu>

	* capplets/background-properties/property-background.c:
	an i18n fix, no more...

1999-02-27  bertrand <Bertrand.Guiheneuf@inria.fr>

	* capplets/desktop-links/Makefile.am:
	comment out the panel data install entries to respect
	new panel organisation. ".directory" are now installed
	correctly. 

	* capplets/Makefile.am (always_built_SUBDIRS): uncomment 
	desktop-link. This was causing gnomecc to crash :(
	
1999-02-25  Owen Taylor  <otaylor@redhat.com>

	* capplets/wm-properties/wm-desktops/IceWM.desktop (TryExec): Add
	a tryexec.

1999-02-25  Jonathan Blandford  <jrb@redhat.com>

	* configure.in: Up we go, to 1.0 <-:

	* capplets/screensaver-properties/screensaver-desktops/*.desktop:
	Many changes by Rosanna...

1999-02-24  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/screensaver-dialog.c
	(make_dialog): line wrap the stupid thing.

1999-02-24  Owen Taylor  <otaylor@redhat.com>

	* capplets/wm-properties: Added window manager 
	switching capplet. Please test. (a lot).

1999-02-23  Jonathan Blandford  <jrb@redhat.com>

	*
	capplets/screensaver-properties/screensaver-desktops/Makefile.am:
	install in the right place.

1999-02-24  bertrand <Bertrand.Guiheneuf@inria.fr>

	* updated fr translations

1999-02-23  Jonathan Blandford  <jrb@redhat.com>

	* capplets/Makefile.am (always_built_SUBDIRS): remove e-conf

Mon Feb 22 22:23:34 1999  Owen Taylor  <otaylor@redhat.com>

	* capplets/theme-switcher/lister.c: Use g_get_home_dir()
	 instead of getenv ("HOME")

	* capplets/theme-switcher/demo.c (demo_main): Strip
	 out ~/.gtkrc from the default file set so we don't
	 get a merge of the current theme and the new one.

	* capplets/theme-switcher/lister.c (use_theme): Modify
	 .gtkrc instead of .gnome/gtkrc.

1999-02-23  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* capplets/session-properties/session-properties.desktop,
	  capplets/gnome-edit-properties/gnome-edit-properties.desktop,
	  capplets/ui-properties/application.desktop, 
	  capplets/desktop-links/UIOptions.directory, 
	  capplets/desktop-links/Peripherals.directory, 
	  capplets/desktop-links/Gnome.directory: Added/Updated  Portuguese
	  translations.

1999-02-22  Elliot Lee  <sopwith@redhat.com>

	* capplets/sound-properties/*.c: Use a slightly smarter/faster
	algorithm for getting the connection to esd.

1999-02-22  Jonathan Blandford  <jrb@redhat.com>

	* capplets/background-properties/property-background.c: patch
	submitted by Franklin Belew <frb@umr.edu> to handle
	eterm/gnome-term transparency. DOES NOT WORK CORRECTLY WITH TILED
	BACKGROUNDS.  

	* capplets/*/Makefile.am (install-data-local): install
	desktop entries to the panel, so that the panel can deal with the
	control-center.

	* capplets/desktop-links/Gnome.directory (Type): Make more
	compatible with the panel.

1999-02-23  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* capplets/desktop-links/{Desktop,Peripherals,UIOptions}.desktop:
	Added/Updated Korean translations.

1999-02-22  Jonathan Blandford  <jrb@redhat.com>

	* capplets/background-properties/app-background.c (main): changed
	session_args[2] -> session_args[3] to allow for THREE items in it.
	* capplets/screensaver-properties/screensaver-properties-capplet.c
	(main):  ditto.
	* capplets/bell-properties/bell-properties.c (main): ditto
	* capplets/keyboard-properties/keyboard-properties.c (main):
	ditto.
	* capplets/sound-properties/sound-properties.c (main): ditto.

1999-02-21  Jonathan Blandford  <jrb@redhat.com>

	* capplets/background-properties/property-background.c:
	removed spurious print statements

1999-02-21  Michael Fulbright <drmike@redhat.com>
	* Made control-center.spec a generated file, updated spec file
	
1999-02-19  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/callbacks.c
	(dialog_destroy_callback): it will now handle drawing previews
	better.  Still a bit broken, though... ):
	(dialog_callback): okay, now it's fixed.

	* capplets/background-properties/property-background.c
	(background_revert): cancel didn't do anything.  Now it does.

1999-02-18  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/callbacks.[ch]: now we show and
	hide our dialog correctly.

1999-02-17  Jonathan Blandford  <jrb@redhat.com>

	*capplets/background-properties/property-background.c
	(color_setup): many changes.  Looks a lot cleaner now.
	capplets/screensaver-properties/screensaver-desktops/Rocks.desktop
	(Demo): Make a minor change to make it less sea-sick inducing

	*capplets/screensaver-properties/screensaver-desktops/Bouboule.desktop (ExtendedComment):
	Get rid of the bogus default-flags val of root.

1999-02-17  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* capplets/keyboard-properties/keyboard-properties.c (main): Added
	missing bindtextdomain() and textdomain().

1999-02-16  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/screensaver-properties-capplet.c
	(main): I think sm has the right behaviour now.

	* capplets/screensaver-properties/callbacks.c (revert_callback):
	oops... now it has the right behaviour.  *fingers really crossed*

	* capplets/screensaver-properties/screensaver-properties-capplet.c
	(main): A lot of changes.  I *think* it has the right behaviour
	now.  If it doesn't, please let me know.  Also, there's now a
	Random screensaver added.  

1999-02-16  Felix Bellaby  <felix@pooh.u-net.com>

	* capplets/session-properties: New capplet based on Tom's app.
	* capplets/Makefile.am: Added session-properties subdir.
	* po/POTFILES.in: Added session-properties.c.
	* configure.in: Added AC_OUTPUT and AC_CONDITIONAL for SM.

1999-02-15  Elliot Lee  <sopwith@bogus.circ.us.eu.org>

	* capplets/sound-properties/sound-properties.c: Fix much
	brokenness. Should allow per-user sound settings now.

1999-02-15  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* capplets/gnome-edit-properties/gnome-edit-properties.c
	(possible_editors): Add gmc/Cooledit editor.

1999-02-08  Elliot Lee  <sopwith@redhat.com>

	* capplets/background-properties/properties-background.c:
	  Change default background color to #005060 (from icewm).

Mon Feb  8 00:42:56 1999  Frank Belew  <frb@umr.edu>
	* capplets/background-properties/properties-background.c: add
	  prototypes for printState, copyState and backgroun_ok.
	  add 4 new gushorts to remove warnings from gnome_color_picker

Fri Feb 05 17:29:03 1999  George Lebl  <jirka@5z.com>

	* capplets/gnome-edit-properties/gnome-edit-properties.c: add
	  gvim to the list of editors

1999-02-06  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* capplets/*/*.desktop, capplets/*/*.directory,
	control-center/gnomecc.desktop: Added Korean translations.

1999-02-02  Elliot Lee <sopwith@redhat.com>
	* capplets/sound-properties/sound-properties.c:
	Starts esd again.

1999-02-01  The Rasterman <raster@redhat.com>
	* configure.in, control-center.spec: upped to 0.99.5

1999-02-01  Chris Lahey  <clahey@umich.edu>

	* capplets/gnome-edit-properties/gnome-edit-properties.desktop,
	capplets/gnome-edit-properties/gnome-edit-properties.c,
	capplets/gnome-edit-properties/Makefile.am,
	capplets/gnome-edit-properties/.cvsignore: Added
	gnome-edit-properties/ directory.  This adds a capplet to set
	which editor you wish to be invoked when you run the gnome-edit
	application.

	* capplets/desktop-links/Environment.directory: Added this file.
	This adds another category of capplet to the control-center.

	* capplets/desktop-links/Makefile.am (ccenterdir): Added
	installation of Environment.directory.

	* capplets/Makefile.am (always_built_SUBDIRS): Added gnome-edit-properties.

	* configure.in: Added capplets/gnome-edit-properties/Makefile.

1999-02-01  Elliot Lee  <sopwith@redhat.com>

	* Revert session management changes until further discussion.

1999-02-01  Felix Bellaby <felix@pooh.u-net.com>

	* capplets/mouse-properties/mouse-properties.c (main):
	Only restart one instance of the program to apply the settings.
	* capplets/bell-properties/bell-properties.c (main): ditto
	* capplets/keyboard-properties/keyboard-properties.c (main): ditto
	* capplets/background-properties/app-background.c (main): ditto
	* capplets/screensaver-properties/screensaver-properties-capplet.c (main): ditto
	(get_saver_frame): create setup_button before referencing it.
	* capplets/sound-properties/sound-properties.c (main): ditto,
	let gnome-session start up the new session aware esd.

1999-01-12  The Rasterman  <raster@redhat.com>

	modify makefiles and configure to detect X11 imlbi separately and 
	build using it.

1999-01-11  Jonathan Blandford  <jrb@redhat.com>

	* capplets/theme-switcher/gui.c (make_main): changing the default
	state of the Auto-Preview button.

1999-01-06  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/callbacks.c: fix for the Red Hat
	xscreensaver problem.  just do a #define
	HAVE_REDHAT_XSCREENSAVER_RPM at the head of callbacks.c and all
	will work.

1998-12-30  Jeff Garzik  <jgarzik@pobox.com>

       * capplets/screensaver-properties/callbacks.c,
       capplets/screensaver-properties/parser.c,
       capplets/sound-properties/sound-properties.c:
       s/g_copy_strings/g_strconcat/

1998-12-16  Jonathan Blandford  <jrb@redhat.com>

	* capplets/sound-properties/sound-properties.c
	(sound_properties_create): now the file_selection_dialog starts up 
	in the right path.

1998-12-15  Jonathan Blandford  <jrb@redhat.com>

	* capplets/screensaver-properties/screensaver-properties-capplet.c
	(main): added new style session_initialization

	* capplets/background-properties/app-background.c (main): added
	new style initialization.

	* capplets/background-properties/Makefile.am: removed old-style initialization.

1998-12-14  Richard Hestilow  <hestgray@ionet.net>

        * capplets/ui-properties: Modified to be a multi-capplet.
        No more ugly notebook within notebook! :-)
        Removed ui-properties.desktop, added application.desktop,
        dialogs.desktop, and mdi.desktop with the appropriate name translations
        that were in po. Also added ui-properties.directory.


Mon Dec 14 15:39:33 1998  Owen Taylor  <otaylor@redhat.com>

	* capplets/ui-properties/ui-properties.c (ui_setup): Change
	"Application" to "Applications" for consistency
	with "Dialogs" and grammatical correctness.

1998-12-11  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* capplets/desktop-links/Workspace.directory,
	capplets/desktop-links/Multimedia.directory: Added Portuguese translation. 

Fri Dec 11 10:39:07 1998  Owen Taylor  <otaylor@redhat.com>

	* capplets/ui-properties/ui-properties.c: Prettification.
	The spacing probably still needs more tweaks.

1998-12-10  Andrew T. Veliath  <andrewtv@usa.net>

	* capplets/ui-properties/ui-properties.c (ui_setup): Updated for
	changes in GnomePreferences.

1998-12-08  Michael Lausch  <mla@gams.at>

	* configure.in Remove the --with-fvwm2 configure.in option, the
	fvwm2 applet is now selfcontained. Instead build the applet if the 
	requested window manager is fvwm2.

1998-12-07  James Henstridge  <james@daa.com.au>
	* capplets/url-properties: a new applet to configure the behaviour of
	the gnome_url_show function in libgnome.

1998-12-06  Tuomas Kuosmanen  <tigert@gimp.org>

	* pixmaps/Makefile.am (EXTRA_DIST): Added some new tiles for panel:
	tile-moon-[up,down].png - a grayish tile
	tile-sand-[up,down].png - a brownish tile
	tile-coral-[up,down].png - a blueish tile (try this 
	with http://tigert.gimp.org/files/gtkrc-files/gtkrc.ocean)

1998-12-02  Raja R Harinath  <harinath@cs.umn.edu>

	* capplets/sound-properties/sound-properties.c (main): 
	Add a closing brace.

1998-12-03  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	Use gettext 0.10.35
	* configure.in (AC_OUTPUT): Removed `sed POTFILES...'.
	* acinclude.m4: Removed gettext macros.

1998-12-02  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am (always_built_SUBDIRS): Removed `desktop-properties' -
	we have capplets for all of them now.

1998-12-02  Martin Baulig  <martin@home-of-linux.org>

	* capplets/ui-properties: Added "Look&Feel" properties capplet.

	* capplets/bell-properties: Added bell properties capplet.

Sun Nov 29 18:20:54 EST 1998 Gregory McLean <gregm@comstar.net>

	* configure.in : Added applets/gticker/Makefile to the makefiles to
	produce.

1998-11-29  Jeff Garzik  <jgarzik@pobox.com>

	* applets/gkb/gkb.c, applets/netwatch/netwatch.c:
	Added required app id arg to applet_widget_new.

Tue Nov 24 00:25:53 1998  Owen Taylor  <otaylor@redhat.com>

	* capplets/theme-switcher/da.h: Removed include of
	gtk-socket.h, which now is in GTK+.

1998-11-23  Andrew T. Veliath  <andrewtv@usa.net>

	* capplets/screensaver-properties/screensaver-properties-capplet.c: Use
	gtk_scrolled_window_add_with_viewport instead of gtk_container_add
	(gtk changes).

1998-11-21  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* capplets/screensaver-properties/callbacks.c: Include <config.h>.

	* capplets/theme-switcher/gui.c: Include <config.h>. Mark strings
	for translation.

	* capplets/sound-properties/sound-properties.c:  Mark strings for
	translation.
	(main): Initialize gettext.
	
	* capplets/theme-switcher/main.c (main): Include <config.h> at the
	top of the file.
	(main): Initialize gettext.

	* capplets/screensaver-properties/screensaver-properties-capplet.c: 
	Include <config.h> at the top of the file.
	(main): Initialize gettext.

	* capplets/keyboard-properties/keyboard-properties.c:Include
	<config.h> at the top of the file.
	(main): Initialize gettext.

1998-11-12  Andrew T. Veliath  <andrewtv@usa.net>

	* acconfig.h: Remove HAVE_ORBIT, HAVE_MICO_ORB_RUN.  HAVE_ORBIT is
	now implicit.
	
	* Makefile.am: Remove ORBIT_INSTALLED AM_CONDITIONAL.

	* configure.in: The ORBit AM_CONDITIONAL is now in
	gnome-orbit-check.m4 as HAVE_ORBIT.

1998-11-06  Raja R Harinath  <harinath@cs.umn.edu>

	* capplets/theme-switcher/main.c (confdefs.h): `confdefs.h isn't a
	nice name for a header file.  Since no other file uses it, just
	remove it.
	(THEME_SWITCHER_VERSION): New define.  Is what `VERSION' was used
	for.
	(main): Use new name for `VERSION'.  
	* capplets/theme-switcher/confdefs.h: Delete.  
	* capplets/theme-switcher/config.h: Delete.
	
Fri Nov  6 17:15:00 1998  Owen Taylor  <otaylor@redhat.com>

	* capplets/theme-switcher/main.c: include confdefs.h
	to get VERSION.

	* capplets/theme-switcher/demo.c (demo_main): Put the
	CList in a scrolled window.

	* Makefile.am: Build theme-switcher-capplet by default,
	now that themes are in GTK+ head.

1998-11-04  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (have_libesd): Actually define the HAVE_LIBESD
	conditional. 

1998-10-30    <jrb@redhat.com>

	* capplets/screensaver-properties/callbacks.c (launch_miniview):  Thou
	shall not exec (NULL)...
	(launch_miniview): thou shalt also not check in things before you save
	the changes... (:

1998-10-28 The Rasterman <raster@redhat.com>
	
	* applets/esd-manager: added this.. going to work on it...

1998-10-26  Raja R Harinath  <harinath@cs.umn.edu>

	* capplets/screensaver-properties/screensaver-properties-capplet.c 
	(main): This is not a void function.

1998-10-20  Tom Tromey  <tromey@cygnus.com>

	* configure.in (ALL_LINGUAS): Added `da'.

1998-10-20  Andrew Veliath  <andrewtv@usa.net>

	* configure.in: Update ORBit checks to use new
	gnome-orbit-checks.m4.  acconfig.h: Add HAVE_ORBIT.
	
Sun Oct 18 22:02:28 1998  Owen Taylor  <otaylor@gtk.org>

	* capplets/background-properties/property-background.c
	(img_dnd_drop): Matching braces help.

Sun Oct 18 19:18:21 1998  Owen Taylor  <otaylor@gtk.org>

	* background-properties/property-background.c: Use
	the new DND API.

1998-10-14  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* */*.desktop: Added Portuguese translations.

	* */*.directory: Likewise

1998-09-29  The Rasterman  <raster@redhat.com>
	* configure.in: added e-conf capplet and gnome-pager applet
	
1998-09-29  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (applets_libgtop): 
	More warnings if `libgtop' isn't found. 

Mon Sep 28 12:31:00 1998  John Ellis  <johne@bellatlantic.net>

	* configure.in: Add applets/slashapp/Makefile

1998-09-27  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in: Warn if some of the applets will not be built.

1998-09-24  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* applets/asclock/asclock_applet.desktop: Likewise.

	* applets/battery/battery_applet.desktop: Likewise.

	* capplets/theme-switcher/theme-selector.desktop: Add Portuguese
	translation.

	* capplets/screensaver-properties/screensaver-desktops/screensaver-properties.desktop: 
	Likewise.
	
	* capplets/keyboard-properties/keyboard-properties.desktop:
	Likewise.

1998-09-23  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* capplets/screensaver-properties/Makefile.am
	(screensaver_properties_capplet_SOURCES): Add missing headers to
	the list of sources.

1998-09-23  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* configure.in (FVWM_PAGER): quoted $FVWM_PAGER in test ! -z
	"$FVWM_PAGER"

1998-09-23  Michael Lausch  <mla@gams.at>

	* configure.in (FVWM_PAGER): Added various tests for the
	fvwm-pager applet. 

1998-09-23  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in: 
	* Makefile.am: Add the idl directory.  WHY DID NO ONE ADD THIS
	WHEN IT WAS CREATED?

1998-09-22  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in: Bumped version number to 0.30.  The panting chimpanzee 
	is upon us.

Thu Sep 17 14:20:05 1998  John Ellis  <johne@bellatlantic.net>

	* configure.in, Makefile.am: Removed conditional build of gmenu since
	gtk+-1.1 is now a requirement.

1998-09-11  Alexandre Muniz  <munizao@cyberhighway.net>
	* configure.in (AC_OUTPUT): Added applets/charpick

1998-09-06  Raja R Harinath  <harinath@debian>

	* capplets/Makefile.am (DIST_SUBDIRS): Remove unneeded variable.

1998-09-06  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (GNOME_COMPILE_WARNINGS): New check.

Fri Sep 04 00:07:08 1998  George Lebl  <jirka@5z.com>

	* configure.in,Makefile.am,po/POTFILES.in: removed support for
	  mico and related sources

Wed Sep 02 23:18:00 1998  George Lebl  <jirka@5z.com>

	* pixmaps/Makefile.am: install tiles into a separate directory,
	  we will want to browse this with an icon browser and we only
	  want tiles to show up

1998-08-27  Christopher Blizzard  <blizzard@appliedtheory.com>

	* configure.in: Add checks for seeing if libghttp is installed.

1998-08-23  Martin Baulig  <martin@home-of-linux.org>

	* configure.in (GNOME_FILEUTILS_CHECKS): Removed. This check
	is no longer necessary since we now use libgtop for the
	mountlist and fsusage stuff in the diskusage applet.
	* acconfig.h: Removed mountlist stuff.

	* configure.in (GNOME_INIT_LIBGTOP): New check.
	* acconfig.h: Added libgtop stuff.

1998-08-20  Raja R Harinath  <harinath@cs.umn.edu>

	* core-docs/Makefile.am (gnome-intro/gnome-intro.html): 
	Make rule even more friendlier to a build without `DocBook'.

Thu Aug 20 00:32:24 1998  Tom Tromey  <tromey@cygnus.com>

	* configure.in: Removed all smproxy code.
	Don't mention non-existent directory.

1998-08-19  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (SUBDIRS): Actually compile `control-center' if
	it is enabled.
	(always_built_SUBDIRS): Reinstate `smproxy'.

1998-08-19  Martin Baulig  <martin@home-of-linux.org>

	* Makefile.am: Conditionally compiling `control-center' if
	we have ORBit.

	* Makefile.am: Using $(always_built_SUBDIRS),
	$(sometimes_built_SUBDIRS) and correct $(DIST_SUBDIRS).

1998-08-17  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in: Bumped the version number to 0.28.

1998-08-02  Raja R Harinath  <harinath@cs.umn.edu>

	* core-docs/Makefile.am (EXTRA_DIST): Add `gnome-intro.html'.
	(INTRO_EXTRA_DIST): Merge with EXTRA_DIST.

	* configure.in (PROGRAM_GMENU):
	Use AM_CONDITIONAL rather than AC_SUBST. 
	(PROGRAMS_PANEL_{CDPLAYER,MIXER,MODEMLIGHTS}): Likewise.
	(AC_OUTPUT): Remove `applets/netwatch/Makefile'.

	* Makefile.am (gmenu): New var.
	(SUBDIRS): Use $(gmenu) instead of @PROGRAM_GMENU@.
	
1998-08-01  Raja R Harinath  <harinath@cs.umn.edu>

	* core-docs/Makefile.am (install-data-local): Use INSTALL_DATA in
	a for loop, don't install all at once.
	(GNOME_INTRO_HTML_FILES): Remove $(srcdir) from names of files.
	(GNOME_INTRO_PICTURES): Likewise.
	(INTRO_EXTRA_DIST): Likewise.
	(GNOME_INTRO_GIFS): Likewise.
	(EXTRA_DIST): Likewise.

1998-07-31  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in (ALL_LINGUAS): Added Japanese translation.

1998-07-28  Mark Galassi  <rosalia@cygnus.com>

	* core-docs/gnome-intro/*.html: regenerated the HTML using the
	latest DocBook tools; some filenames have changed, and 

1998-07-23  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* config.guess, config.sub: Remove auto-generated files.

Tue Jul 21 18:29:16 1998  Tom Tromey  <tromey@cygnus.com>

	* acconfig.h (WINDOW_MANAGER): Removed.
	* configure.in: Don't define WINDOW_MANAGER, AC_SUBST it.

Sun Jul 19 03:31:08 1998  John Ellis  <johne@bellatlantic.net>

	* configure.in: variable PROGRAM_GMENU with a check for
	gtk/gtkctree.h which is in the devel GTK.
	* Makefile.am: added above variable in the subdirs section, now
	gmenu is built/installed by default if the devel GTK is found.

1998-07-19  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (SMPROXY_DEFS): Use `STD_DEFINES' rather than
	`STD_CPP_DEFINES'. 
	(ORB_LIBS): To replace MICO_LIBS.
	(ORBIT_LIBS,MICO_LIBS): Don't subst.
	(ORBIT_CONFIG): Don't use `if [ .. ];', use `if test ..;'.
	
1998-07-18  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (SMPROXY_DEFS): New check, based on AC_PATH_X11.
	Needed to get defines used in a X11 build tree.

Thu Jul 16 18:03:37 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (SUBDIRS): Added smproxy.
	* configure.in: Create smproxy/Makefile.

1998-07-13  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (mico_prefix): Stop searching as soon as a
	`mico-ld' is found.  From Michael Lausch <mla@gams.co.at>.

1998-07-08  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* configure.in: Added applets/fifteen/Makefile to the list.

1998-07-08  Owen Taylor  <otaylor@fresnel.labs.redhat.com>

	* configure.in: Fix shell syntax bug in case when MICO
	is not found.

1998-06-26  Nuno Ferreira  <nmrf@rnl.ist.utl.pt>

	* configure.in (ALL_LINGUAS): Added Portuguese translation.

Sat Jun 13 01:11:16 1998  Tom Tromey  <tromey@cygnus.com>

	* core-docs/Makefile.am (gnome-intro/book01.html): Ignore mkdir
	failures.

Fri Jun 12 22:56:58 1998  Tom Tromey  <tromey@cygnus.com>

	* configure.in: Look for mico-setup.sh in $mico_prefix/doc.  Also,
	handle MICO 2.0.3 (still!).

1998-06-11  John Ellis  <johne@bellatlantic.net>

	* configure.in: added gmenu/Makefile

1998-06-11  John Ellis  <johne@bellatlantic.net>

	* gmenu directory: Checked in a gmenu, the GNOME menu editor,
	still needs a Makefile.am file though.

Wed Jun 10 11:34:52 1998  Owen Taylor  <otaylor@gtk.org>

	* configure.in: Make panel link micocoss library as well

Wed Jun 10 11:34:52 1998  Owen Taylor  <otaylor@gtk.org>

	* configure.in acconfig.h: Check for installed MICO
	  version, and the libs it requires by using mico-ld 
	  and mico-setup.sh.

	  Add a HAVE_MICO_ORB_RUN macro to signal that we need
	  to call orb->run(), as we do for mico-2.0.6 and later

Tue Jun  9 23:37:43 EDT 1998 Gregory McLean <gregm@comstar.net>

	* .cvsignore updates.


1998-06-09  Jim Pick  <jim@jimpick.com>

	* Added debian packaging dir.

1998-06-07  Stuart Parmenter  <pavlov@innerx.net>

	* help-browser/window.c: changed accel stuff around so that it works
	with gtk1.1

1998-06-05  Mark Galassi  <rosalia@cygnus.com>

	* core-docs/Makefile.am: fixed it so that "make dist" will
	generate a reasonable distribution.  Many files were not listed in
	the EXTRAS, but I think they now are.

1998-05-30  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (FALSE): Automake conditional that always fails.
	This is used in some subdir Makefile.am tricks.

1998-05-26  John Ellis  <johne@bellatlantic.net>

	* configure.in: added PROGRAMS_PANEL_MODEMLIGHTS, apparently
	net/ppp_defs.h does not exist on solaris.

1998-05-22  Martin Baulig  <baulig@merkur.uni-trier.de>

	* configure.in: added GNOME_FILEUTILS_CHECKS

	* acconfig.h (AFS, MOUNTED_FREAD, MOUNTED_FREAD_FSTYP,
	MOUNTED_GETFSSTAT, MOUNTED_GETMNT, MOUNTED_GETMNTENT1,
	MOUNTED_GETMNTENT2, MOUNTED_GETMNTINFO, MOUNTED_LISTMNTENT,
	MOUNTED_VMOUNT, STAT_STATFS3_OSF1, STAT_READ_FILSYS,
	STAT_STATFS2_BSIZE, STAT_STATFS2_FSIZE, STAT_STATFS2_FS_DATA,
	STAT_STATFS4, STAT_STATVFS, STATFS_TRUNCATES_BLOCK_COUNTS):
	New macros.
	
1998-05-13  Christopher Blizzard  <blizzard@appliedtheory.com>

	* configure.in: added applets/bussign/Makefile to the list of
 	Makefiles.

1998-05-05  Mark Galassi  <rosalia@cygnus.com>

	* core-docs/gnome-intro.sgml: added a bit more to the panel;
	that's it for the Red Hat 5.1 release, I guess.

	* core-docs/Makefile.am (install-data-local): fixed little bug in
	installing help files.

	* core-docs/gnome-intro.sgml: completed the GNOME intro; there are
	many omissions, but it seems OK.  Now I have to proofread it a bit
	and add a mention of panel applets.  I also added all the
	generated HTML files for people who do not have the docbook tools
	installed (this sucks).

	* core-docs/Makefile.am: put core-docs under automake with some
	quickly hacked-up rules for the RH-5.1 release.  I will clean it
	up later; this seems to work and install gnome-intro in a way such
	that the help browser picks it up.

	* Makefile.am (SUBDIRS): added core-docs

Sun May  3 22:43:59 1998  Tom Tromey  <tromey@cygnus.com>

	* acconfig.h (HAVE_FORKPTY): New macro.
	* configure.in: Include UTIL_LIB check from gnome-libs.

1998-05-03  Mark Galassi  <rosalia@cygnus.com>

	* core-docs/gnome-intro.sgml: added the beginnings of an
	overall gnome-intro manual.

Mon Apr 27 20:42:24 EDT 1998 Gregory McLean <gregm@comstar.net>

	* panel/menu.c : changed a couple of <icon>.xpm to <icon.png> as
	  the xpm files for _thoose_ icons wern't there.

Sun Apr 26 10:55:18 EDT 1998 Gregory McLean <gregm@comstar.net>
	
	* Its too early in the morning!
	* applets/netwatch/netwatch-old.c: added to the repo.
	* applets/netwatch/netwatch_applet.desktop: desktop file
	* applets/netwatch/.cvsignore: updated.

Sun Apr 26 01:05:51 1998  Tom Tromey  <tromey@cygnus.com>

	* acconfig.h (WINDOW_MANAGER): New macro.
	* configure.in: Added --with-window-manager option.

	* configure.in: Unconditionally look for crypt.h.

Sun Apr 26 10:55:18 EDT 1998 Gregory McLean <gregm@comstar.net>

	* configure.in: changed the AC_PROG_LEX -> AM_PROG_LEX
	  though I couldn't find any lex files that this is needed
	  for. IIRC automake 1.2 supports this macro also.

Sun Apr 19 09:38:36 EDT 1998 Gregory McLean <gregm@comstar.net>

        * applets/*/.cvsignore: updated to ignore generated files.

Tue Mar 17 23:26:47 1998  George Lebl  <jirka@5z.com>

	* configure.in: updated teh Makefiles being created

	* Makefile.am: build in applets

	* applets/Makefile.am: build clock

Sat Mar 14 20:21:31 1998  George Lebl  <jirka@5z.com>

	* gnome-panel.idl, launcher-lib.(cc|h): added a Launcher
	  interface, but didn't do anything with it yet.

Fri Mar 13 13:44:40 1998  George Lebl  <jirka@5z.com>

	* panel.c,clock.c: fixed some FIXME's and added some 
	  sanity checks

1998-03-13  Carsten Schaar  <nhadcasc@fs-maphy.uni-hannover.de>

	* configure.in (ALL_LINGUAS): Added German translation.

1998-03-13  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (RES_LIBS): New check for `inet_aton'.

Tue Mar 10 22:33:39 1998  Tom Tromey  <tromey@cygnus.com>

	* stamp.h.in: Removed.
	* configure.in: Don't create stamp.h.

Sun Mar  8 21:41:18 1998  Tom Tromey  <tromey@cygnus.com>

	* version.h.in: Removed.
	* configure.in: Don't create version.h.

Wed Mar  4 01:18:19 1998  Tom Tromey  <tromey@cygnus.com>

	* acconfig.h (HAVE_PROGRAM_INVOCATION_SHORT_NAME,
	HAVE_PROGRAM_INVOCATION_NAME): Added.

1998-03-04  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (AC_OUTPUT): Add `panel/libapplet/Makefile'.

Mon Mar  2 15:30:00 1998  Tom Tromey  <tromey@cygnus.com>

	* configure.in: Removed check for SMlib.h; now comes from
	gnome-x-checks.m4.

1998-02-26  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in: Make the check for SMlib.h work better with the
	checks that happen in macros/gnome-x-checks.m4.

Thu Feb 26 12:37:07 1998  Tom Tromey  <tromey@cygnus.com>

	* configure.in: Check for X11/SM/SMlib.h.

1998-02-25  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (AC_OUTPUT): Remove duplicated entry for
	`panel/batmon/Makefile'. 

Sat Feb 14 01:31:21 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (macros/macros.dep): Use tab in rule, not space.

	* configure.in: Run AC_LINK_FILES for gettext.

1998-02-14  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (GNOME_X_CHECKS): Add new check.
	(AC_OUTPUT): Also generate `macros/Makefile'.

	* Makefile.am (macros/macros.dep): Maintainer rule to
	auto-regenerate aclocal.m4.
	(SUBDIRS): Add `macros'.

	* help-browser/gnome-helpwin.c (gnome_helpwin_load): Replace
	`snprintf' with `g_snprintf'.

1998-02-13  Raja R Harinath  <harinath@cs.umn.edu>

	* configure.in (AC_OUTPUT): Generate `macros/Makefile'.

	* autogen.sh: Use `macros/autogen.sh'.
	

